This is an autogenerated patch header for a single-debian-patch file. The
delta against upstream is either kept as a single patch, or maintained
in some VCS, and exported as a single patch instead of more manageable
atomic patches.

--- djview4-4.12.orig/README_translations
+++ djview4-4.12/README_translations
@@ -49,11 +49,12 @@ CONTRIBUTORS
 
 Translations for djview were contributed by:
 
-djview_cs.ts            Petr Pisar <petr.pisar@atlas.cz>
-djview_de.ts            Marc Feld <mfeld@users.sourceforge.net>
-djview_es.ts            Mike Molina <mmolina.unphysics@gmail.com>
-djview_fr.ts            Leon Bottou <leonb@users.sourceforge.net>
-djview_ru.ts            Alexander Potashev <aspotashev@gmail.com>
-djview_uk.ts            Yuri Chornoivan <yurchor@ukr.net>
-djview_zh_CN/TW.ts      Lee Chenhwa <leechenhwa@aim.com>
+djview_cs.ts        Petr Pisar <petr.pisar@atlas.cz>
+djview_de.ts        Marc Feld <mfeld@users.sourceforge.net>
+djview_es.ts        Mike Molina <mmolina.unphysics@gmail.com>
+djview_fr.ts        Leon Bottou <leonb@users.sourceforge.net>
+djview_ru.ts        Alexander Potashev <aspotashev@gmail.com>
+djview_uk.ts        Yuri Chornoivan <yurchor@ukr.net>
+djview_pl.ts        Janusz S. Bień, Tomasz Świerczek <ijsbien@mimuw.edu.pl>
+djview_zh_CN/TW.ts  Lee Chenhwa <leechenhwa@aim.com>
 
--- djview4-4.12.orig/config/acinclude.m4
+++ djview4-4.12/config/acinclude.m4
@@ -272,7 +272,7 @@ Unsetting them is better than setting th
     path=$QTDIR/bin:$PATH
   fi
   if test -z "$QMAKE" ; then
-    AC_PATH_PROGS([QMAKE], [qmake], [], [$path])
+    AC_PATH_TOOL([QMAKE], [qmake], [], [$path])
   fi
   if test -z "$QMAKE" ; then
     AC_MSG_ERROR([Cannot find the Qt program qmake. 
@@ -327,7 +327,7 @@ If you define QMAKESPEC, make sure it is
     altrcc="rcc-${qtversion}"
     altlupdate="lupdate-${qtversion}"
     altlrelease="lrelease-${qtversion}"
-  else
+  elif test `basename "$QMAKE"` = qmake ; then
     AC_MSG_CHECKING([for real qmake path])
     test -x "$QT_INSTALL_BINS/qmake" && QMAKE="$QT_INSTALL_BINS/qmake"
     AC_MSG_RESULT([$QMAKE])
--- djview4-4.12.orig/mac/make_djview_bundle.sh
+++ djview4-4.12/mac/make_djview_bundle.sh
@@ -79,55 +79,51 @@ run rmdir $bundle/bin || exit
 run ln -s ./MacOS $bundle/bin || exit
 run ln -s ./MacOS $bundle/plugins || exit
 
-# copy needed homebrew libraries
-for lib in $(otool -L $bundle/MacOS/ddjvu | awk '/^\t/{print $1}') ; do
-  case "$lib" in 
-    $BREWDIR/*) 
-        libname=$(basename "$lib")
-        test -r "./$bundle/lib/$libname" || \
-	    run cp "$lib" "./$bundle/lib/$libname" || exit ;;
-  esac
-done
 
 # copy needed qt plugins
 ( cd "$QTDIR" ; \
   ls -1 plugins/{platforms,imageformats,styles,printsupport}/*.dylib | \
-  grep -v libqwebgl.dylib | \
-  grep -v _debug.dylib ) | \
+      grep -v libqwebgl.dylib | \
+      grep -v libqpdf.dylib | \
+      grep -v libqsvg.dylib | \
+      grep -v _debug.dylib ) | \
 while read plugin ; do
   run mkdir -p $bundle/$(dirname "$plugin") || exit
   run cp "$QTDIR/$plugin" $bundle/"$plugin" || exit
 done
 
-
-
-# copy needed libraries  
-for loader in \
-    $bundle/MacOS/djview \
-    $bundle/MacOS/*/*.dylib 
-do 
-  for lib in $(otool -L $loader | awk '/^\t/{print $1}') 
+# copy needed libraries
+function getlibs() {
+  for loader in $*
   do
-    if [ $(basename "$lib") != $(basename "$loader") ]
-    then
-      case "$lib" in 
-      $BREWDIR/*) 
-        libname=$(basename "$lib")
-	test -r "./$bundle/lib/$libname" || \
-	    run cp "$lib" "./$bundle/lib/$libname" || exit ;;
-      @rpath/*)
-        libname=$(basename "$lib")
-        lib="$QTDIR/lib${lib/#@rpath//}"
-	test -r "./$bundle/lib/$libname" || \
-	    run cp "$lib" "./$bundle/lib/$libname" || exit ;;
-      $QTDIR/*)
-        libname=$(basename "$lib")
-	test -r "./$bundle/lib/$libname" || \
-	    run cp "$lib" "./$bundle/lib/$libname" || exit ;;
-      esac
-    fi
+    for lib in $(otool -L $loader | awk '/^\t/{print $1}') 
+    do
+      if [ $(basename "$lib") != $(basename "$loader") ]
+      then
+        case "$lib" in 
+          $BREWDIR/*) 
+              libname=$(basename "$lib")
+	      test -r "./$bundle/lib/$libname" || \
+	          run cp "$lib" "./$bundle/lib/$libname" || exit ;;
+          @rpath/*)
+              libname=$(basename "$lib")
+              lib="$QTDIR/lib${lib/#@rpath//}"
+	      test -r "./$bundle/lib/$libname" || \
+	          run cp "$lib" "./$bundle/lib/$libname" || exit ;;
+          $QTDIR/*)
+              libname=$(basename "$lib")
+	      test -r "./$bundle/lib/$libname" || \
+	          run cp "$lib" "./$bundle/lib/$libname" || exit ;;
+        esac
+      fi
+    done
   done
-done
+}
+getlibs $bundle/MacOS/ddjvu
+getlibs $bundle/MacOS/djview
+getlibs $bundle/MacOS/*/*.dylib 
+getlibs $bundle/lib/Qt*
+getlibs $bundle/lib/*.dylib
 
 # copy translations
 languages=$(ls -1 ../src/*.qm | sed -e 's/^[^_]*_//' -e 's/\.qm$//')
--- djview4-4.12.orig/mac/make_djview_dmg.sh
+++ djview4-4.12/mac/make_djview_dmg.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-dmgname="DjVuLibre-3.5.27+DjView-4.10.6-intel64"
+dmgname="DjVuLibre-3.5.28+DjView-4.12-intel64-3"
 
 cd $(dirname $0)
 if ! test -d DjView.app ; then
--- djview4-4.12.orig/src/djview.am
+++ djview4-4.12/src/djview.am
@@ -57,3 +57,5 @@ qmake_ts += djview_zh_cn.ts
 qmake_qm += djview_zh_cn.qm
 qmake_ts += djview_zh_tw.ts
 qmake_qm += djview_zh_tw.qm
+qmake_ts += djview_pl.ts
+qmake_qm += djview_pl.qm
--- djview4-4.12.orig/src/djview.pro
+++ djview4-4.12/src/djview.pro
@@ -141,3 +141,4 @@ TRANSLATIONS += djview_ru.ts
 TRANSLATIONS += djview_es.ts
 TRANSLATIONS += djview_zh_cn.ts
 TRANSLATIONS += djview_zh_tw.ts
+TRANSLATIONS += djview_pl.ts
--- /dev/null
+++ djview4-4.12/src/djview_pl.ts
@@ -0,0 +1,3389 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.1" language="pl_PL">
+<context>
+    <name>Generic</name>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="1034"/>
+        <source>thisLanguage</source>
+        <comment>Name of THIS language</comment>
+        <translation type="unfinished">Polski</translation>
+    </message>
+</context>
+<context>
+    <name>QApplication</name>
+    <message>
+        <location filename="djview.cpp" line="505"/>
+        <source>Option &apos;-fix&apos; is deprecated.</source>
+        <translation>Opcja &apos;-fix&apos; jest przestarzała.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjView</name>
+    <message>
+        <location filename="djview.cpp" line="524"/>
+        <source>cannot open &apos;%1&apos;.</source>
+        <translation>nie można otworzyć &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="220"/>
+        <source>FitWidth</source>
+        <comment>zoomCombo</comment>
+        <translation>Dostosuj szerokość strony</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="221"/>
+        <source>FitPage</source>
+        <comment>zoomCombo</comment>
+        <translation>Dostosuj wielkość strony</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="222"/>
+        <source>Stretch</source>
+        <comment>zoomCombo</comment>
+        <translation>Rozciągnij</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="223"/>
+        <source>1:1</source>
+        <comment>zoomCombo</comment>
+        <translation>Wiernie (1:1)</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="224"/>
+        <source>300%</source>
+        <comment>zoomCombo</comment>
+        <translation>300%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="225"/>
+        <source>200%</source>
+        <comment>zoomCombo</comment>
+        <translation>200%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="226"/>
+        <source>150%</source>
+        <comment>zoomCombo</comment>
+        <translation>150%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="227"/>
+        <source>100%</source>
+        <comment>zoomCombo</comment>
+        <translation>100%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="228"/>
+        <source>75%</source>
+        <comment>zoomCombo</comment>
+        <translation>75%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="229"/>
+        <source>50%</source>
+        <comment>zoomCombo</comment>
+        <translation>50%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="237"/>
+        <source>Color</source>
+        <comment>modeCombo</comment>
+        <translation>Kolor</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="238"/>
+        <source>Stencil</source>
+        <comment>modeCombo</comment>
+        <translatorcomment>Translation not obvious, may be controversial</translatorcomment>
+        <translation>Maska</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="239"/>
+        <source>Foreground</source>
+        <comment>modeCombo</comment>
+        <translatorcomment>Loose controversial translation (~print layer)</translatorcomment>
+        <translation>Front</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="240"/>
+        <source>Background</source>
+        <comment>modeCombo</comment>
+        <translation>Tło</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="241"/>
+        <source>Hidden Text</source>
+        <comment>modeCombo</comment>
+        <translation>Tekst ukryty</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="455"/>
+        <source>&amp;New</source>
+        <comment>File|</comment>
+        <translation>&amp;Nowy</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="456"/>
+        <source>Ctrl+N</source>
+        <comment>File|New</comment>
+        <translation>Ctrl+N</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="458"/>
+        <source>Create a new DjView window.</source>
+        <translation>Otwórz nowe okno DjView.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="461"/>
+        <source>&amp;Open</source>
+        <comment>File|</comment>
+        <translation>&amp;Otwórz</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="462"/>
+        <source>Ctrl+O</source>
+        <comment>File|Open</comment>
+        <translation>Ctrl-O</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="464"/>
+        <source>Open a DjVu document.</source>
+        <translation>Otwórz dokument DjVu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="467"/>
+        <source>Open &amp;Location...</source>
+        <comment>File|</comment>
+        <translation>Otwórz &amp;adres...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="468"/>
+        <source>Open a remote DjVu document.</source>
+        <translation>Otwórz zdalny dokument DjVu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="472"/>
+        <source>&amp;Close</source>
+        <comment>File|</comment>
+        <translation>&amp;Zamknij</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="473"/>
+        <source>Ctrl+W</source>
+        <comment>File|Close</comment>
+        <translation>Ctrl+W</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="475"/>
+        <source>Close this window.</source>
+        <translation>Zamknij to okno.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="478"/>
+        <source>&amp;Quit</source>
+        <comment>File|</comment>
+        <translation>Za&amp;kończ</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="479"/>
+        <source>Ctrl+Q</source>
+        <comment>File|Quit</comment>
+        <translation>Ctrl+Q</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="481"/>
+        <source>Close all windows and quit the application.</source>
+        <translation>Zamknij wszystkie okna i zakończ aplikację.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="484"/>
+        <source>Save &amp;as...</source>
+        <comment>File|</comment>
+        <translation>Zapisz &amp;jako...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="485"/>
+        <source>Ctrl+S</source>
+        <comment>File|SaveAs</comment>
+        <translation>Ctrl+S</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="487"/>
+        <source>Save the DjVu document.</source>
+        <translation>Zapisz dokument DjVu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="490"/>
+        <source>&amp;Export as...</source>
+        <comment>File|</comment>
+        <translation>&amp;Eksportuj jako...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="491"/>
+        <source>Ctrl+E</source>
+        <comment>File|ExportAs</comment>
+        <translation>Ctrl+E</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="493"/>
+        <source>Export DjVu page or document to other formats.</source>
+        <translation>Eksportuj stronę lub cały dokument DjVu do innych formatów.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="496"/>
+        <source>&amp;Print...</source>
+        <comment>File|</comment>
+        <translation>&amp;Drukuj...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="497"/>
+        <source>Ctrl+P</source>
+        <comment>File|Print</comment>
+        <translation>Ctrl+P</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="499"/>
+        <source>Print the DjVu document.</source>
+        <translation>Drukuj dokument DjVu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="502"/>
+        <source>&amp;Find...</source>
+        <comment>Edit|</comment>
+        <translation>&amp;Znajdź...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="503"/>
+        <source>Ctrl+F</source>
+        <comment>Edit|Find</comment>
+        <translation>Ctrl+F</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="505"/>
+        <source>Find text in the document.</source>
+        <translation>Znajdź tekst w dokumencie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="508"/>
+        <source>Find &amp;Next</source>
+        <comment>Edit|</comment>
+        <translation>Znajdź &amp;następny</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="509"/>
+        <source>F3</source>
+        <comment>Edit|Find Next</comment>
+        <translation>F3</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="510"/>
+        <source>Find next occurrence of search text in the document.</source>
+        <translation>Znajdź następne wystąpienie szukanego tekstu w dokumencie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="513"/>
+        <source>Find &amp;Previous</source>
+        <comment>Edit|</comment>
+        <translation>Znajdź &amp;poprzedni</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="514"/>
+        <source>Shift+F3</source>
+        <comment>Edit|Find Previous</comment>
+        <translation>Shift+F3</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="515"/>
+        <source>Find previous occurrence of search text in the document.</source>
+        <translation>Znajdź poprzednie wystąpienie szukanego tekstu w dokumencie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="518"/>
+        <source>&amp;Select</source>
+        <comment>Edit|</comment>
+        <translation>&amp;Wybierz</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="519"/>
+        <source>F2</source>
+        <comment>Edit|Select</comment>
+        <translation>F2</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="521"/>
+        <source>Select a rectangle in the document.</source>
+        <translation>Zaznacz prostokąt w dokumencie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="524"/>
+        <source>Zoom &amp;In</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;Powiększ</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="526"/>
+        <source>Increase the magnification.</source>
+        <translation>Zwiększ powiększenie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="530"/>
+        <source>Zoom &amp;Out</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;Zmniejsz</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="532"/>
+        <source>Decrease the magnification.</source>
+        <translation>Zmniejsz powiększenie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="536"/>
+        <source>Fit &amp;Width</source>
+        <comment>Zoom|</comment>
+        <translation>Dostosuj &amp;szerokość strony</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="537"/>
+        <source>Set magnification to fit page width.</source>
+        <translation>Dostosuj powiększenie do szerokości strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="542"/>
+        <source>Fit &amp;Page</source>
+        <comment>Zoom|</comment>
+        <translation>Dostosuj wielość &amp;trony</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="543"/>
+        <source>Set magnification to fit page.</source>
+        <translation>Dostosuj powiększenie do wielkości strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="548"/>
+        <source>One &amp;to one</source>
+        <comment>Zoom|</comment>
+        <translation>Jeden &amp;do jednego</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="549"/>
+        <source>Set full resolution magnification.</source>
+        <translation>Ustaw powiększenie zgodne z pełną rozdzielczością.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="554"/>
+        <source>&amp;300%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;300%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="555"/>
+        <source>Magnify 300%</source>
+        <translation>Powiększ 300%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="560"/>
+        <source>&amp;200%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;200%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="561"/>
+        <source>Magnify 20%</source>
+        <translation>Powiększ 20%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="566"/>
+        <source>&amp;150%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;150%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="567"/>
+        <source>Magnify 150%</source>
+        <translation>Powiększ 150%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="572"/>
+        <source>&amp;100%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;100%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="573"/>
+        <source>Magnify 100%</source>
+        <translation>Powiększ 100%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="578"/>
+        <source>&amp;75%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;75%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="579"/>
+        <source>Magnify 75%</source>
+        <translation>Powiększ 75%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="584"/>
+        <source>&amp;50%</source>
+        <comment>Zoom|</comment>
+        <translation>&amp;50%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="585"/>
+        <source>Magnify 50%</source>
+        <translation>Powiększ 50%</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="590"/>
+        <source>&amp;First Page</source>
+        <comment>Go|</comment>
+        <translation>&amp;Pierwsza strona</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="592"/>
+        <source>Jump to first document page.</source>
+        <translation>Przejdź do pierwszej strony dokumentu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="597"/>
+        <source>&amp;Next Page</source>
+        <comment>Go|</comment>
+        <translation>&amp;Następna strona</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="599"/>
+        <source>Jump to next document page.</source>
+        <translation>Przejdź do następnej strony dokumentu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="604"/>
+        <source>&amp;Previous Page</source>
+        <comment>Go|</comment>
+        <translation>P&amp;oprzednia strona</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="606"/>
+        <source>Jump to previous document page.</source>
+        <translation>Przejdź do poprzedniej strony dokumentu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="611"/>
+        <source>&amp;Last Page</source>
+        <comment>Go|</comment>
+        <translation>&amp;Ostatnia strona</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="613"/>
+        <source>Jump to last document page.</source>
+        <translation>Przejdź do ostatniej strony dokumentu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="618"/>
+        <source>&amp;Backward</source>
+        <comment>Go|</comment>
+        <translation>&amp;Wstecz</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="620"/>
+        <source>Backward in history.</source>
+        <translation>Cofnij się w historii.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="625"/>
+        <source>&amp;Forward</source>
+        <comment>Go|</comment>
+        <translation>&amp;Naprzód</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="627"/>
+        <source>Forward in history.</source>
+        <translation>Przejdź do przodu w historii.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="632"/>
+        <source>Rotate &amp;Left</source>
+        <comment>Rotate|</comment>
+        <translation>Obróć w &amp;lewo</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="634"/>
+        <source>Rotate page image counter-clockwise.</source>
+        <translation>Obróć obraz strony w kierunku przeciwnym do ruchu wskazówek zegara.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="639"/>
+        <source>Rotate &amp;Right</source>
+        <comment>Rotate|</comment>
+        <translation>Obróć w &amp;prawo</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="641"/>
+        <source>Rotate page image clockwise.</source>
+        <translation>Obróć obraz strony w kierunku ruchu wskazówek zegara.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="647"/>
+        <source>Set natural page orientation.</source>
+        <translation>Ustaw naturalna orientację strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="653"/>
+        <source>Turn page on its left side.</source>
+        <translation>Obróć stronę na lewy bok.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="659"/>
+        <source>Turn page upside-down.</source>
+        <translation>Obróć stronę do góry nogami.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="665"/>
+        <source>Turn page on its right side.</source>
+        <translation>Obróć stronę na prawy bok.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="670"/>
+        <source>&amp;Information...</source>
+        <comment>Edit|</comment>
+        <translation>&amp;Informacje...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="671"/>
+        <source>Ctrl+I</source>
+        <comment>Edit|Information</comment>
+        <translation>Ctrl+I</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="672"/>
+        <source>Show information about the document encoding and structure.</source>
+        <translation>Pokaż informacje o kodowaniu dokumentu i jego strukturze.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="675"/>
+        <source>&amp;Metadata...</source>
+        <comment>Edit|</comment>
+        <translation>&amp;Metadane...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="677"/>
+        <source>Ctrl+M</source>
+        <comment>Edit|Metadata</comment>
+        <translation>Ctrl+M</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="679"/>
+        <source>Show the document and page meta data.</source>
+        <translation>Pokaż metadane dokumentu i strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="684"/>
+        <source>&amp;About DjView...</source>
+        <translation>&amp;O DjView...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="688"/>
+        <source>Show information about this program.</source>
+        <translation>Pokaż informacje o tym programie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="691"/>
+        <source>&amp;Color</source>
+        <comment>Display|</comment>
+        <translation>&amp;Kolor</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="692"/>
+        <source>Display everything.</source>
+        <translation>Wyświetl wszystkie warstwy.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="697"/>
+        <source>&amp;Stencil</source>
+        <comment>Display|</comment>
+        <translation>&amp;Maska</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="698"/>
+        <source>Only display the document bitonal stencil.</source>
+        <translation>Wyświetl tylko bitonalną maskę.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="704"/>
+        <source>&amp;Foreground</source>
+        <comment>Display|</comment>
+        <translation>&amp;Front</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="705"/>
+        <source>Only display the foreground layer.</source>
+        <translation>Wyświetl tylko warstwę frontową.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="711"/>
+        <source>&amp;Background</source>
+        <comment>Display|</comment>
+        <translation>&amp;Tło</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="712"/>
+        <source>Only display the background layer.</source>
+        <translation>Wyświetl tylko warstwę tła.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="718"/>
+        <source>&amp;Hidden Text</source>
+        <comment>Display|</comment>
+        <translation>&amp;Tekst ukryty</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="719"/>
+        <source>Overlay a representation of the hidden text layer.</source>
+        <translation>Nałóż na obraz reprezentację tekstu ukrytego.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="725"/>
+        <source>I&amp;nvert Luminance</source>
+        <comment>View|</comment>
+        <translation>&amp;Odwróć luminancję</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="726"/>
+        <source>Invert image luminance while preserving hue.</source>
+        <translation>Odwróć luminancję obrazu zachowując nasycenie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="730"/>
+        <source>Prefere&amp;nces...</source>
+        <comment>Settings|</comment>
+        <translation>&amp;Ustawienia...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="732"/>
+        <source>Show the preferences dialog.</source>
+        <translation>Pokaż dialog ustawień.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="735"/>
+        <source>Show &amp;Sidebar</source>
+        <comment>Settings|</comment>
+        <translation>Pokaż panel &amp;boczny</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="736"/>
+        <source>F9</source>
+        <comment>Settings|Show sidebar</comment>
+        <translation>F9</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="738"/>
+        <source>Alt+Ctrl+S</source>
+        <comment>Settings|Show sidebar</comment>
+        <translation>Alt+Ctrl+S</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="740"/>
+        <source>Show/hide the side bar.</source>
+        <translation>Pokaż/ukryj panel boczny.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="744"/>
+        <source>Show &amp;Toolbar</source>
+        <comment>Settings|</comment>
+        <translation>Pokaż pasek &amp;narzędzi</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="745"/>
+        <source>F10</source>
+        <comment>Settings|Show toolbar</comment>
+        <translation>F10</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="747"/>
+        <source>Alt+Ctrl+T</source>
+        <comment>Settings|Show toolbar</comment>
+        <translation>Alt+Ctrl+T</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="749"/>
+        <source>Show/hide the standard tool bar.</source>
+        <translation>Pokaż/ukryj standardowy pasek narzędzi.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="752"/>
+        <source>Show Stat&amp;usbar</source>
+        <comment>Settings|</comment>
+        <translation>Pokaż pasek &amp;stanu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="753"/>
+        <source>Show/hide the status bar.</source>
+        <translation>Pokaż/ukryj pasek stanu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="755"/>
+        <source>Alt+Ctrl+/</source>
+        <comment>Settings|Show toolbar</comment>
+        <translation>Alt+Ctrl+/</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="761"/>
+        <source>&amp;Full Screen</source>
+        <comment>View|</comment>
+        <translation>&amp;Pełny ekran</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="762"/>
+        <source>F11</source>
+        <comment>View|FullScreen</comment>
+        <translation>F11</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="764"/>
+        <source>Meta+Ctrl+F</source>
+        <comment>View|FullScreen</comment>
+        <translation>Meta+Ctrl+F</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="767"/>
+        <source>Toggle full screen mode.</source>
+        <translation>Włącz lub wyłącz tryb pełnoekranowy.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="771"/>
+        <source>&amp;Slide Show</source>
+        <comment>View|</comment>
+        <translation>&amp;Pokaz slajdów</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="772"/>
+        <source>Shift+F11</source>
+        <comment>View|Slideshow</comment>
+        <translation>Shift+F11</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="774"/>
+        <source>Shift+Ctrl+F</source>
+        <comment>Settings|Show toolbar</comment>
+        <translation>Shift+Ctrl+F</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="777"/>
+        <source>Toggle slide show mode.</source>
+        <translation>Włącz lub wyłącz tryb pokazu slajdów.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="780"/>
+        <source>&amp;Continuous</source>
+        <comment>Layout|</comment>
+        <translation>Wyświetlanie &amp;ciągłe</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="782"/>
+        <source>F4</source>
+        <comment>Layout|Continuous</comment>
+        <translation>F4</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="783"/>
+        <source>Toggle continuous layout mode.</source>
+        <translation>Włącz lub wyłącz tryb wyświetlania ciągłego.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="787"/>
+        <source>Side &amp;by Side</source>
+        <comment>Layout|</comment>
+        <translation>&amp;Dwie strony obok siebie</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="789"/>
+        <source>F5</source>
+        <comment>Layout|SideBySide</comment>
+        <translation>F5</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="790"/>
+        <source>Toggle side-by-side layout mode.</source>
+        <translation>Włącz lub wyłącz wyświetlanie dwóch stron obok siebie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="794"/>
+        <source>Co&amp;ver Page</source>
+        <comment>Layout|</comment>
+        <translation>Strona &amp;tytułowa</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="798"/>
+        <source>F6</source>
+        <comment>Layout|CoverPage</comment>
+        <translation>F6</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="799"/>
+        <source>Show the cover page alone in side-by-side mode.</source>
+        <translation>Pokaż osobno stronę tytułową w trybie wyświetlania stron obok siebie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="803"/>
+        <source>&amp;Right to Left</source>
+        <comment>Layout|</comment>
+        <translation>Z &amp;prawej do lewej</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="807"/>
+        <source>Shift+F6</source>
+        <comment>Layout|RightToLeft</comment>
+        <translation>Shift+F6</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="808"/>
+        <source>Show pages right-to-left in side-by-side mode.</source>
+        <translation>Pokazuj strony od prawej do lewej w trybie obok siebie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="812"/>
+        <source>Copy &amp;URL</source>
+        <comment>Edit|</comment>
+        <translation>Kopiuj &amp;URL</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="813"/>
+        <source>Save an URL for the current page into the clipboard.</source>
+        <translation>Skopiuj do schowka URL bieżącej strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="814"/>
+        <source>Ctrl+C</source>
+        <comment>Edit|CopyURL</comment>
+        <translation>Ctrl+C</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="817"/>
+        <source>Copy &amp;Outline</source>
+        <comment>Edit|</comment>
+        <translation>Kopiuj &amp;zakładki</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="818"/>
+        <source>Save the djvused code for the outline into the clipboard.</source>
+        <translation>Skopiuj do schowka zakładki w formacie djvused.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="821"/>
+        <source>Copy &amp;Annotations</source>
+        <comment>Edit|</comment>
+        <translation>Kopiuj &amp;adnotacje</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="822"/>
+        <source>Save the djvused code for the page annotations into the clipboard.</source>
+        <translation>Skopiuj do schowka adnotacje w formacie djvused.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="835"/>
+        <source>&amp;File</source>
+        <comment>File|</comment>
+        <translation>&amp;Plik</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="841"/>
+        <source>Open &amp;Recent</source>
+        <translation>Otwórz &amp;poprzednie</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="855"/>
+        <source>&amp;Edit</source>
+        <comment>Edit|</comment>
+        <translation>&amp;Edytuj</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="864"/>
+        <source>&amp;View</source>
+        <comment>View|</comment>
+        <translation>&amp;Widok</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="865"/>
+        <location filename="qdjview.cpp" line="934"/>
+        <source>&amp;Zoom</source>
+        <comment>View|Zoom</comment>
+        <translation>&amp;Skaluj</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="879"/>
+        <location filename="qdjview.cpp" line="948"/>
+        <source>&amp;Rotate</source>
+        <comment>View|Rotate</comment>
+        <translation>&amp;Obróć</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="887"/>
+        <location filename="qdjview.cpp" line="956"/>
+        <source>&amp;Display</source>
+        <comment>View|Display</comment>
+        <translation>&amp;Pokaż</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="909"/>
+        <location filename="qdjview.cpp" line="929"/>
+        <source>&amp;Go</source>
+        <comment>Go|</comment>
+        <translation>&amp;Przejdź</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="917"/>
+        <source>&amp;Settings</source>
+        <comment>Settings|</comment>
+        <translation>&amp;Ustawienia</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="923"/>
+        <source>&amp;Help</source>
+        <comment>Help|</comment>
+        <translation>&amp;Pomoc</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1159"/>
+        <source>Control Left Mouse Button</source>
+        <translation>Control i lewy klawisz myszy</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1161"/>
+        <source>Right Mouse Button</source>
+        <translation>Prawy klawisz myszy</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1168"/>
+        <source>&lt;html&gt;&lt;b&gt;Selecting a rectangle.&lt;/b&gt;&lt;br/&gt; Once a rectangular area is selected, a popup menu lets you copy the corresponding text or image. Instead of using this tool, you can also hold %1 and use the Left Mouse Button.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Zaznaczenie prostokąta.&lt;/b&gt;&lt;br/&gt;Po zaznaczeniu prostokąta pojawi się menu podręczne pozwalające skopiować odpowiedni tekst lub obraz. Zamiast używać tego sposobu, można również przytrzymać %1 i użyć lewego klawisza myszy.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1176"/>
+        <source>&lt;html&gt;&lt;b&gt;Zooming.&lt;/b&gt;&lt;br/&gt; Choose a zoom level for viewing the document. Zoom level 100% displays the document for a 100 dpi screen. Zoom levels &lt;tt&gt;Fit Page&lt;/tt&gt; and &lt;tt&gt;Fit Width&lt;/tt&gt; ensure that the full page or the page width fit in the window. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Skalowanie.&lt;/b&gt;&lt;br/&gt; Wybierz stopień powiększenia lub zmniejszenia wyświetlanego dokumentu.Wartość 100% jest odpowiednia dla ekranu o rozdzielczości 100dpi. Wartości &lt;tt&gt;Dostosuj do strony&lt;/tt&gt; i &lt;tt&gt;Dostosuj do szerokości&lt;/tt&gt;gwarantują, że odpowiednio cała strona lub cała szerokość strony zmieszczą się w oknie. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1188"/>
+        <source>&lt;html&gt;&lt;b&gt;Rotating the pages.&lt;/b&gt;&lt;br/&gt; Choose to display pages in portrait or landscape mode. You can also turn them upside down.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Obracanie strony.&lt;/b&gt;&lt;br/&gt; Wybór wyświetlania strony w trybie portretowym lub krajobrazowym. Można również obrócić stronę do góry nogami.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1195"/>
+        <source>&lt;html&gt;&lt;b&gt;Display mode.&lt;/b&gt;&lt;br/&gt; DjVu images compose a background layer and a foreground layer using a stencil. The display mode specifies with layers should be displayed.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Tryb wyświetlania.&lt;/b&gt;&lt;br/&gt; Obrazy DjVu są tworzone z warstw frontu i tła za pomocą maski. Tryb wyświetlania określa, które warstwy będą wyświetlane.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1203"/>
+        <source>&lt;html&gt;&lt;b&gt;Navigating the document.&lt;/b&gt;&lt;br/&gt; The page selector lets you jump to any page by name and can be activated at any time by pressing Ctrl+G. The navigation buttons jump to the first page, the previous page, the next page, or the last page. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Nawigacja w dokumencie.&lt;/b&gt;&lt;br/&gt; Selektor strony pozwala przejść do dowolnej strony i może być aktywowany w dowolnym momencie przez naciśnięcie CTRL+G. Przyciski nawigacyjne powodują przejście do pierwszej, poprzedniej, następnej lub ostatniej strony. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1212"/>
+        <source>&lt;html&gt;&lt;b&gt;Document and page information.&lt;/b&gt;&lt;br&gt; Display a dialog window for viewing encoding information pertaining to the document or to a specific page.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Informacje o stronie i dokumentacje.&lt;/b&gt;&lt;br&gt; Pokaż okno dialogowe w celu wyświetlenia informacji o kodowaniu dotyczącej dokumentu lub konkretnej strony.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1218"/>
+        <source>&lt;html&gt;&lt;b&gt;Document and page metadata.&lt;/b&gt;&lt;br&gt; Display a dialog window for viewing metadata pertaining to the document or to a specific page.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Metadane dokumentu i strony.&lt;/b&gt;&lt;br&gt; Pokaż okno dialogowe w celu wyświetlenia metadanych dotyczących dokumentu lub konkretnej strony.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1224"/>
+        <source>&lt;html&gt;&lt;b&gt;Continuous layout.&lt;/b&gt;&lt;br/&gt; Display all the document pages arranged vertically inside the scrollable document viewing area.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Wyświetlanie ciągłe.&lt;/b&gt;&lt;br/&gt; Wyświetl wszystkie strony dokumentu ustawione pionowe wewnątrz przewijalnego obszaru wyświetlania.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1229"/>
+        <source>&lt;html&gt;&lt;b&gt;Side by side layout.&lt;/b&gt;&lt;br/&gt; Display pairs of pages side by side inside the scrollable document viewing area.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Wyświetlanie stron obok siebie.&lt;/b&gt;&lt;br/&gt; Wyświetlaj dwie strony obok siebie wewnątrz przewijalnego obszaru wyświetlania.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1234"/>
+        <source>&lt;html&gt;&lt;b&gt;Page information.&lt;/b&gt;&lt;br/&gt; Display information about the page located under the cursor: the sequential page number, the page size in pixels, and the page resolution in dots per inch. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Informacja o stronie.&lt;/b&gt;&lt;br/&gt; Wyświetl informacje o stronie znajdującej się pod kursorem: numer kolejny, rozmiar strony w pikselach i rozdzielczość strony w punktach na cal. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1240"/>
+        <source>&lt;html&gt;&lt;b&gt;Cursor information.&lt;/b&gt;&lt;br/&gt; Display the position of the mouse cursor expressed in page coordinates. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Informacja o kursorze.&lt;/b&gt;&lt;br/&gt; Wyświetl pozycję kursora wyrażoną we współrzędnych strony. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1245"/>
+        <source>&lt;html&gt;&lt;b&gt;Document viewing area.&lt;/b&gt;&lt;br/&gt; This is the main display area for the DjVu document. &lt;ul&gt;&lt;li&gt;Arrows and page keys to navigate the document.&lt;/li&gt;&lt;li&gt;Space and BackSpace to read the document.&lt;/li&gt;&lt;li&gt;Keys &lt;tt&gt;+&lt;/tt&gt; &lt;tt&gt;-&lt;/tt&gt; &lt;tt&gt;[&lt;/tt&gt; &lt;tt&gt;]&lt;/tt&gt; to zoom or rotate the document.&lt;/li&gt;&lt;li&gt;Left Mouse Button for panning and selecting links.&lt;/li&gt;&lt;li&gt;%3 for displaying the contextual menu.&lt;/li&gt;&lt;li&gt;%1 Left Mouse Button for selecting text or images.&lt;/li&gt;&lt;li&gt;%2 for popping the magnification lens.&lt;/li&gt;&lt;/ul&gt;&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Obszar wyświetlania dokumentu.&lt;/b&gt;&lt;br/&gt; To jest główny obszar wyświetlania dokumentu DjVu. &lt;ul&gt;&lt;li&gt;Klawisze strzałek i strony nawigują w dokumencie.&lt;/li&gt;&lt;li&gt;Space i BackSpace przewijają dokument.&lt;/li&gt;&lt;li&gt;Klawisze &lt;tt&gt;+&lt;/tt&gt; &lt;tt&gt;-&lt;/tt&gt; &lt;tt&gt;[&lt;/tt&gt; &lt;tt&gt;]&lt;/tt&gt; skalują lub obracają dokument.&lt;/li&gt;&lt;li&gt;Lewy klawisz myszy pozycjonuje i wybiera.hiperłącza&lt;/li&gt;&lt;li&gt;%3 wyświetla menu kontekstowe.&lt;/li&gt;&lt;li&gt;%1 lewy klawisz myszy wybiera tekst lub obraz.&lt;/li&gt;&lt;li&gt;%2 uaktywnia lupę.&lt;/li&gt;&lt;/ul&gt;&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1258"/>
+        <source>&lt;html&gt;&lt;b&gt;Document viewing area.&lt;/b&gt;&lt;br/&gt; This is the main display area for the DjVu document. But you must first open a DjVu document to see anything.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Obszar wyświetlania dokumentu.&lt;/b&gt;&lt;br/&gt; To jest główny obszar wyświetlania dokumentu DjVu. Aby cokolwiek zobaczyć trzeba najpierw otworzyć jakiś dokument DjVu.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1597"/>
+        <source>Option &apos;%1&apos; requires boolean argument.</source>
+        <translation>Opcja &apos;%1&apos; wymaga argumentu boolowskiego.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1604"/>
+        <source>Illegal value &apos;%2&apos; for option &apos;%1&apos;.</source>
+        <translation>Niepoprawna wartość  &apos;%2&apos; dla opcji &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1722"/>
+        <source>Toolbar option &apos;%1&apos; is not implemented.</source>
+        <translation>Opcja paska narzędziowego  &apos;%1&apos; nie jest zaimplementowana.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1735"/>
+        <source>Toolbar option &apos;%1&apos; is not recognized.</source>
+        <translation>Opcja paska narzędzi &apos;%1&apos; nie jest rozpoznana.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="1781"/>
+        <location filename="qdjview.cpp" line="1788"/>
+        <source>Option &apos;%1&apos; requires a standalone viewer.</source>
+        <translation>Opcja &apos;%1&apos; wymaga samodzielnej przeglądarki.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2053"/>
+        <source>Deprecated option &apos;%1&apos;</source>
+        <translation>Przestarzała opcja &apos;%1&apos;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2101"/>
+        <source>Option &apos;%1&apos; is not implemented.</source>
+        <translation>Opcja &apos;%1&apos; nie jest zaimplementowana.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2106"/>
+        <source>Option &apos;%1&apos; is not recognized.</source>
+        <translation>Opcja &apos;%1&apos; nie jest rozpoznana.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2383"/>
+        <location filename="qdjview.cpp" line="2688"/>
+        <source>DjView</source>
+        <translation>DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2554"/>
+        <source>Thumbnails</source>
+        <translation>Miniaturki</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2561"/>
+        <source>Outline</source>
+        <translation>Zakładki</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2568"/>
+        <source>Find</source>
+        <translation>Znajdź</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2708"/>
+        <source>Cannot open file &apos;%1&apos;.</source>
+        <translation>Nie można otworzyć pliku &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2709"/>
+        <source>Opening DjVu file</source>
+        <translation>Otwieranie pliku DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2806"/>
+        <source>Cannot open URL &apos;%1&apos;.</source>
+        <translation>Nie można otworzyć URL &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2807"/>
+        <source>Opening DjVu document</source>
+        <translation>Otwieranie dokumentu DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2824"/>
+        <source>Certificate validation error - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Błąd weryfikacji certyfikatu - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2825"/>
+        <source>&lt;html&gt; %1  Do you want to continue anyway? &lt;/html&gt;</source>
+        <translation>&lt;html&gt; %1  Czy chcesz mimo to kontynuować? &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2903"/>
+        <source>Cannot find page numbered: %1</source>
+        <translation>Nie można znaleźć strony o numerze: %1</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2935"/>
+        <location filename="qdjview.cpp" line="2965"/>
+        <source>Cannot find page named: %1</source>
+        <translation>Nie można znaleźć strony nazwanej %1</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3179"/>
+        <source>Unrecognized sidebar options &apos;%1&apos;.</source>
+        <translation>Nierozpoznana opcja panelu bocznego &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3242"/>
+        <location filename="qdjview.cpp" line="3278"/>
+        <source>Print - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Drukuj - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3243"/>
+        <source>&lt;html&gt; This file was served with printing restrictions. Do you want to print it anyway?&lt;/html&gt;</source>
+        <translation>&lt;html&gt; Ten plik został udostępniony z ograniczeniami drukowania. Czy drukować mimo tego?&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3258"/>
+        <location filename="qdjview.cpp" line="3298"/>
+        <source>Save - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Zapisz - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3259"/>
+        <source>&lt;html&gt; This file was served with saving restrictions. Do you want to save it anyway?&lt;/html&gt;</source>
+        <translation>&lt;html&gt; Ten plik został udostępniony z ograniczeniami zapisywania. Czy zapisać mimo tego?&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3317"/>
+        <source>Export - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Eksport - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3589"/>
+        <source>Text files</source>
+        <comment>save filter</comment>
+        <translation>Pliki tekstowe</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3590"/>
+        <location filename="qdjview.cpp" line="3637"/>
+        <source>All files</source>
+        <comment>save filter</comment>
+        <translation>Wszystkie pliki</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3591"/>
+        <source>Save Text - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Zapisz tekst - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3607"/>
+        <location filename="qdjview.cpp" line="3652"/>
+        <location filename="qdjview.cpp" line="3672"/>
+        <source>Error - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Błąd - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3608"/>
+        <location filename="qdjview.cpp" line="3673"/>
+        <source>Cannot write file &apos;%1&apos;.
+%2.</source>
+        <translation>Nie można zapisać pliku &apos;%1&apos;.
+%2.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3634"/>
+        <source>%1 files (*.%2);;</source>
+        <comment>save image filter</comment>
+        <translatorcomment>Translation depends on the numer: 1 plik, 2 pliki, 5 plików,..,101 plik etc.</translatorcomment>
+        <translation>%1 plików (*.%2);;</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3638"/>
+        <source>Save Image - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Zapisz obraz - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3653"/>
+        <source>Cannot determine file format.
+Filename &apos;%1&apos; has no suffix.</source>
+        <translation>Nie można rozpoznać formatu pliku.
+Nazwa pliku &apos;%1&apos; nie ma rozszerzenia.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3666"/>
+        <source>Image format %1 not supported.</source>
+        <translation>Format obrazu %1 nie jest obsługiwany.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3894"/>
+        <source>Cannot decode page %1.</source>
+        <translation>Nie można zdekodować strony %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3896"/>
+        <source>Cannot decode document.</source>
+        <translation>Nie można zdekodować dokumentu.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="3898"/>
+        <source>Decoding DjVu document</source>
+        <translation>Dekodowanie dokumentu DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4031"/>
+        <source> P%1/%2 %3x%4 %5dpi </source>
+        <translation> P%1/%2 %3x%4 %5dpi </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4038"/>
+        <source> x=%1 y=%2 </source>
+        <translation> x=%1 y=%2 </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4042"/>
+        <source> %3x%4+%1+%2 </source>
+        <translation> %3x%4+%1+%2 </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4117"/>
+        <source>Go: 1 page forward.</source>
+        <translation>Przejdź: 1 strona naprzód.</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjview.cpp" line="4118"/>
+        <source>Go: %n pages forward.</source>
+        <translation>
+            <numerusform>Przejdź: %n strona naprzód.</numerusform>
+            <numerusform>Przejdź: %n strony naprzód.</numerusform>
+            <numerusform>Przejdź: %n stron naprzód.</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4120"/>
+        <source>Go: 1 page backward.</source>
+        <translation>Przejdź: 1 strona wstecz.</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjview.cpp" line="4121"/>
+        <source>Go: %n pages backward.</source>
+        <translation>
+            <numerusform>Przejdź: %n strona wstecz.</numerusform>
+            <numerusform>Przejdź: %n strony wstecz.</numerusform>
+            <numerusform>Przejdź: %n stron wstecz.</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4124"/>
+        <location filename="qdjview.cpp" line="4126"/>
+        <source>Go: page %1.</source>
+        <translation>Przejdź: strona %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4128"/>
+        <source>Go: %1</source>
+        <translation>Przejdź: %1</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4130"/>
+        <source> (in other window.)</source>
+        <translation> (w osobnym oknie.)</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4219"/>
+        <source>Cannot resolve link &apos;%1&apos;</source>
+        <translation>Nie działa hiperłącze &apos;%1&apos;</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjview.cpp" line="4242"/>
+        <source>%n characters</source>
+        <translation>
+            <numerusform>%n znak</numerusform>
+            <numerusform>%n znaki</numerusform>
+            <numerusform>%n znaków</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4247"/>
+        <source>Copy text (%1)</source>
+        <translation>Kopiuj tekst (%1)</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4248"/>
+        <source>Save text as...</source>
+        <translation>Zapisz tekst jako...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4251"/>
+        <source>Copy text into the clipboard.</source>
+        <translation>Skopiuj tekst do schowka.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4252"/>
+        <source>Save text into a file.</source>
+        <translation>Zapisz tekst w pliku.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4254"/>
+        <source>Copy image (%1x%2 pixels)</source>
+        <translation>Kopiuj obraz (%1x%2 piksele)</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4256"/>
+        <source>Save image as...</source>
+        <translation>Zapisz obraz jako...</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4257"/>
+        <source>Copy image into the clipboard.</source>
+        <translation>Skopiuj obraz do schowka.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4258"/>
+        <source>Save image into a file.</source>
+        <translation>Zapisz obraz w pliku.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4260"/>
+        <source>Zoom to rectangle</source>
+        <translation>Powiększ zaznaczenie</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4261"/>
+        <source>Zoom the selection to fit the window.</source>
+        <translation>Powiększ zaznaczenia na całe okno.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4267"/>
+        <source>Copy URL</source>
+        <translation>Kopiuj URL</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4268"/>
+        <source>Save into the clipboard an URL that highlights the selection.</source>
+        <translation>Zapisz w schowku adres URL który podświetla zaznaczenie.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4270"/>
+        <source>Copy Maparea</source>
+        <translation>Kopiuj obszar adnotacji</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4271"/>
+        <source>Save into the clipboard a maparea annotation expression for program djvused.</source>
+        <translation>Kopiuj do schowka obszar adnotacji w formacie djvused.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4448"/>
+        <source>About DjView</source>
+        <translation>O DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4468"/>
+        <source>DjVu files</source>
+        <translation>Pliki DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4469"/>
+        <source>All files</source>
+        <translation>Wszystkie pliki</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4470"/>
+        <source>Open - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Otwórz - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4487"/>
+        <source>Open Location - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Otwórz adres - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4488"/>
+        <source>Enter the URL of a DjVu document:</source>
+        <translation>Wpisz URL dokumentu DjVu:</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4505"/>
+        <source>Information - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Informacje - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4520"/>
+        <source>Metadata - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Metadane - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="4742"/>
+        <source>&amp;Clear History</source>
+        <translation>&amp;Wyczyść historię</translation>
+    </message>
+</context>
+<context>
+    <name>QDjView::NetOpen</name>
+    <message>
+        <location filename="qdjview.cpp" line="2739"/>
+        <source>Cannot open URL &apos;%1&apos;.</source>
+        <translation>Nie można otworzyć URL &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2740"/>
+        <source>Opening DjVu document</source>
+        <translation>Otwieranie dokumentu DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjview.cpp" line="2781"/>
+        <source>Cannot spawn a browser for url &apos;%1&apos;</source>
+        <translation>Nie można uruchomić przeglądarki dla URL  &apos;%1&apos;</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewApplication</name>
+    <message>
+        <location filename="djview.cpp" line="320"/>
+        <source>cannot open &apos;%1&apos;.</source>
+        <translation>nie można otworzyć &apos;%1&apos;.</translation>
+    </message>
+    <message>
+        <location filename="djview.cpp" line="377"/>
+        <source>Usage: djview [options] [filename-or-url]
+Common options include:
+-help~~~Prints this message.
+-verbose~~~Prints all warning messages.
+-display &lt;xdpy&gt;~~~Select the X11 display &lt;xdpy&gt;.
+-geometry &lt;xgeom&gt;~~~Select the initial window geometry.
+-font &lt;xlfd&gt;~~~Select the X11 name of the main font.
+-style &lt;qtstyle&gt;~~~Select the QT user interface style.
+-fullscreen, -fs~~~Start djview in full screen mode.
+-page=&lt;page&gt;~~~Jump to page &lt;page&gt;.
+-zoom=&lt;zoom&gt;~~~Set zoom factor.
+-continuous=&lt;yn&gt;~~~Set continuous layout.
+-sidebyside=&lt;yn&gt;~~~Set side-by-side layout.
+</source>
+        <translatorcomment>Are the options really common?</translatorcomment>
+        <translation>Użycie: djview [opcje] [plik-lub-URL]
+Ważniejsze opcje:
+-help~~~Drukuj ten komunikat.
+-verbose~~~Drukuj wszystkie ostrzeżenia.
+-display &lt;xdpy&gt;~~~Wybierz obszar X11 &lt;xdpy&gt;.
+-geometry &lt;xgeom&gt;~~~Wybierz początkową geometrię okna.
+-font &lt;xlfd&gt;~~~Wybierz nazwę X11 głównego fontu.
+-style &lt;qtstyle&gt;~~~Wybierz styl interfejsu QT.
+-fullscreen, -fs~~~Uruchom djview w trybie pełnoekranowym.
+-page=&lt;page&gt;~~~Przejdź do strony &lt;page&gt;.
+-zoom=&lt;zoom&gt;~~~Ustaw wartość skalowania.
+-continuous=&lt;yn&gt;~~~Ustaw wyświetlanie ciągłe.
+-sidebyside=&lt;yn&gt;~~~Ustaw wyświetlanie stron obok siebie.
+</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewAuthDialog</name>
+    <message>
+        <location filename="qdjviewauthdialog.ui" line="48"/>
+        <source>Password:</source>
+        <translation>Hasło:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewauthdialog.ui" line="62"/>
+        <source>User:</source>
+        <translation>Użytkownik:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="210"/>
+        <source>Authentication required - DjView</source>
+        <translation>Wymagane uwierzytelnienie - DjView</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewDjVuExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="342"/>
+        <source>DjVu Bundled Document</source>
+        <translation>Dokument scalony DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="343"/>
+        <location filename="qdjviewexporters.cpp" line="347"/>
+        <source>DjVu Files (*.djvu *.djv)</source>
+        <translation>Pliki DjVu (*.djvu *.djv)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="346"/>
+        <source>DjVu Indirect Document</source>
+        <translation>Dokument rozłożony DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="394"/>
+        <source>Question - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Pytanie - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="395"/>
+        <source>&lt;html&gt; This file belongs to a non empty directory. Saving an indirect document creates many files in this directory. Do you want to continue and risk overwriting files in this directory?&lt;/html&gt;</source>
+        <translation>&lt;html&gt; Ten plik należy do niepustego katalogu.Zapisanie dokumentu rozłożonego stworzy wiele plików w tym katalogu. Czy kontynuować ryzykując zastąpienie plików w tym katalogu?&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="401"/>
+        <source>Con&amp;tinue</source>
+        <translation>&amp;Kontynuuj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="402"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Anuluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="429"/>
+        <source>Unknown error.</source>
+        <translation>Nieznany błąd.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="431"/>
+        <source>System error: %1.</source>
+        <translation>Błąd systemowy: %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="446"/>
+        <source>Save job creation failed!</source>
+        <translation>Nie powiodło się utworzenie zadania zapisywania!</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewErrorDialog</name>
+    <message>
+        <location filename="qdjviewerrordialog.ui" line="14"/>
+        <location filename="qdjviewdialogs.cpp" line="131"/>
+        <source>DjView Error</source>
+        <translation>Błąd DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewerrordialog.ui" line="108"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="176"/>
+        <source>Error - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Błąd - DjView</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportDialog</name>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="13"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="26"/>
+        <location filename="qdjviewexportdialog.ui" line="38"/>
+        <source>Export</source>
+        <translation>Eksport</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="50"/>
+        <source>&amp;Document</source>
+        <translation>&amp;Dokument</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="60"/>
+        <source>C&amp;urrent page</source>
+        <translation>&amp;Bieżąca strona</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="75"/>
+        <source>&amp;Pages</source>
+        <translation>&amp;Strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="85"/>
+        <source>to</source>
+        <translation>do</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="119"/>
+        <source>Destination</source>
+        <translation>Plik wynikowy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="139"/>
+        <source>Format:</source>
+        <translation>Format:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="214"/>
+        <source>&amp;Defaults</source>
+        <translation>D&amp;omyślne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="240"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="256"/>
+        <location filename="qdjviewdialogs.cpp" line="1417"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Anuluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportdialog.ui" line="283"/>
+        <source>Stop</source>
+        <translation>Stop</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1254"/>
+        <source>&lt;html&gt;&lt;b&gt;Saving.&lt;/b&gt;&lt;br/&gt; You can save the whole document or a page range under a variety of formats. Selecting certain formats creates additional dialog pages for specifying format options.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Zapisywanie.&lt;/b&gt;&lt;br/&gt; Można zapisać cały dokument lub zakres stron w jednym z kilku formatów. Wybór niektórych formatów otworzy dodatkowe strony dialogowe z parametrami specyficznymi dla danego formatu.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1407"/>
+        <source>Error - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Błąd - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1408"/>
+        <source>Overwriting the current file is not allowed!</source>
+        <translation>Nie można zastąpić bieżącego pliku!</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1413"/>
+        <source>Question - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Pytanie - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1414"/>
+        <source>A file with this name already exists.
+Do you want to replace it?</source>
+        <translation>Plik o tej nazwie już istnieje
+Czy go zastąpić?</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1416"/>
+        <source>&amp;Replace</source>
+        <translation>&amp;Zastąp</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1454"/>
+        <source>This operation has failed.</source>
+        <translation>Ta operacja nie powiodła się.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1458"/>
+        <source>This operation has been interrupted.</source>
+        <translation>Ta operacja została przerwana.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1487"/>
+        <source>All files</source>
+        <comment>save filter</comment>
+        <translation>Wszystkie pliki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1494"/>
+        <source>Export - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Eksport - DjView</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportPS1</name>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="16"/>
+        <source>Form</source>
+        <translatorcomment>Not sure about the meaning</translatorcomment>
+        <translation>Formularz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="36"/>
+        <source>Color</source>
+        <translation>Kolorystyka</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="48"/>
+        <source>&amp;Color</source>
+        <translation>&amp;Kolor</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="58"/>
+        <source>&amp;GrayScale</source>
+        <translation>&amp;Skala szarości</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="68"/>
+        <source>Marks</source>
+        <translation>Znaczniki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="80"/>
+        <source>Print image &amp;frame</source>
+        <translation>Drukuj z &amp;ramką</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="87"/>
+        <source>Print crop &amp;marks</source>
+        <translation>Zaznacz &amp;cięcia</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="99"/>
+        <source>PostScript</source>
+        <translation>PostScript</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps1.ui" line="111"/>
+        <source>Language Level</source>
+        <translation>Poziom języka</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportPS2</name>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="16"/>
+        <source>Form</source>
+        <translation>Formularz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="36"/>
+        <source>Scaling</source>
+        <translation>Skalowanie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="48"/>
+        <source>Scale to &amp;fit the page</source>
+        <translation>Dopasuj do &amp;strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="66"/>
+        <source>&amp;Zoom</source>
+        <translation>&amp;Skala</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="76"/>
+        <source> %</source>
+        <translation> %</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="100"/>
+        <source>Orientation</source>
+        <translation>Orientacja</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="112"/>
+        <source>Automatic</source>
+        <translation>Automatyczna</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="122"/>
+        <source>&amp;Portrait</source>
+        <translation>&amp;Portret</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps2.ui" line="129"/>
+        <source>&amp;Landscape</source>
+        <translation>&amp;Krajobraz</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportPS3</name>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="16"/>
+        <source>Form</source>
+        <translation>Formularz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="28"/>
+        <source>Print sheets suitable for folding a booklet.</source>
+        <translation>Drukuj strony do złożenia w broszurę.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="35"/>
+        <source>Advanced</source>
+        <translation>Zaawansowane</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="55"/>
+        <source>Sheets per booklet: </source>
+        <translation>Liczba stron broszury: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="62"/>
+        <source>Unlimited</source>
+        <translation>Nieograniczona</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="65"/>
+        <source>at most </source>
+        <translation>co najwyżej </translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="98"/>
+        <source>Print </source>
+        <translation>Drukuj </translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="112"/>
+        <source>rectos and versos.</source>
+        <translation>recto i verso.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="117"/>
+        <source>rectos only.</source>
+        <translation>tylko recto.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="122"/>
+        <source>versos only.</source>
+        <translation>tylko verso.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="153"/>
+        <source>Shift rectos and versos by </source>
+        <translation>Zwiększ margines przy grzbiecie </translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="160"/>
+        <source> points.</source>
+        <translatorcomment>Translation depends on the number</translatorcomment>
+        <translation> punktów.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="196"/>
+        <source>Center:</source>
+        <translation>Wyśrodkuj:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="203"/>
+        <source> points</source>
+        <translation> pkt</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="216"/>
+        <source>plus</source>
+        <translation>plus</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="223"/>
+        <source>/100</source>
+        <translation>/100</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportps3.ui" line="239"/>
+        <source>per page.</source>
+        <translation>na stronę.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportPrn</name>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="13"/>
+        <source>Form</source>
+        <translation>Formularz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="21"/>
+        <source>Color</source>
+        <translation>Kolorystyka</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="30"/>
+        <source>&amp;Color</source>
+        <translation>&amp;Kolor</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="40"/>
+        <source>&amp;GrayScale</source>
+        <translation>&amp;Skala szarości</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="50"/>
+        <source>Marks</source>
+        <translation>Znaczniki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="59"/>
+        <source>Print image &amp;frame</source>
+        <translation>&amp;Ramka</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="69"/>
+        <source>Print crop &amp;marks</source>
+        <translation>&amp;Cięcia</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="83"/>
+        <source>Scaling</source>
+        <translation>Skalowanie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="89"/>
+        <source>Scale to &amp;fit the page</source>
+        <translation>Dopasuj do &amp;strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="104"/>
+        <source>&amp;Zoom</source>
+        <translation>&amp;Skaluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="117"/>
+        <source> %</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="141"/>
+        <source>Orientation</source>
+        <translation>Orientacja</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="150"/>
+        <source>Automatic</source>
+        <translation>Automatyczna</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="163"/>
+        <source>&amp;Portrait</source>
+        <translation>&amp;Portret</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexportprn.ui" line="173"/>
+        <source>&amp;Landscape</source>
+        <translation>&amp;Krajobraz</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewExportTiff</name>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="13"/>
+        <source>Form</source>
+        <translation>Formularz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="25"/>
+        <source>Resolution</source>
+        <translation>Rozdzielczość</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="37"/>
+        <source>Maximum image resolution </source>
+        <translation>Maksymalna rozdzielczość </translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="44"/>
+        <source> dpi</source>
+        <translation> dpi</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="76"/>
+        <source>Compression</source>
+        <translation>Kompresja</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="88"/>
+        <source>Force &amp;bitonal G4 compression.</source>
+        <translation>Wymuś &amp;bitonalną kompresję G4.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="95"/>
+        <source>Allow &amp;lossy JPEG compression.</source>
+        <translation>Zezwól na &amp;stratną kompresję JPEG.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="129"/>
+        <source>JPEG &amp;quality</source>
+        <translation>&amp;Jakość JPEG</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporttiff.ui" line="167"/>
+        <source>Allow &amp;deflate compression.</source>
+        <translation>Zezwól na kompresję &amp;deflate.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewFind</name>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1616"/>
+        <source>Case sensitive</source>
+        <translation>Kaszta (wielkość) liter ma znaczenie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1619"/>
+        <source>Words only</source>
+        <translation>Tylko całe słowa</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1622"/>
+        <source>Regular expression</source>
+        <translation>Wyrażenie regularne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1641"/>
+        <source>Find Previous (Shift+F3) </source>
+        <translation>Znajdź poprzedni (Shift+F3) </translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1646"/>
+        <source>Find Next (F3) </source>
+        <translation>Znajdź następny (F3) </translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1652"/>
+        <source>Reset search options to default values.</source>
+        <translation>Przywróć domyślne wartości opcji wyszukiwania.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1656"/>
+        <source>Options</source>
+        <translation>Opcje</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1703"/>
+        <source>&lt;html&gt;&lt;b&gt;Finding text.&lt;/b&gt;&lt;br/&gt; Search hits appear progressively as soon as you type a search string. Typing enter jumps to the next hit. To move to the previous or next hit, you can also use the arrow buttons or the shortcuts &lt;tt&gt;F3&lt;/tt&gt; or &lt;tt&gt;Shift-F3&lt;/tt&gt;. You can also double click a page name. Use the &lt;tt&gt;Options&lt;/tt&gt; menu to search words only or to specify the case sensitivity.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Znajdowanie tekstu.&lt;/b&gt;&lt;br/&gt; Wyniki wyszukiwania pokazują się sukcesywnie w miarę wprowadzania szukanego napisu. Naciśnięcie Enter przechodzi do następnego wyniku. Można również używać strzałek, aby przejść do poprzedniego lub następnego wyniku, można także używać przycisków strzałek lub klawiszy funkcyjnych &lt;tt&gt;F3&lt;/tt&gt; or &lt;tt&gt;Shift-F3&lt;/tt&gt;. Można także dwukrotnie kliknąć na nazwę strony na liście wyników. Użyj menu &lt;tt&gt;Opcje&lt;/tt&gt; aby szukać tylko całych słów lub uwzględnić kasztę (wielkość) liter.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1713"/>
+        <source>Specify whether search hits must begin on a word boundary.</source>
+        <translation>Określ, czy znalezione wyniki muszą zaczynać się na granicy słów.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1715"/>
+        <source>Specify whether searches are case sensitive.</source>
+        <translation>Określ, czy wyszukiwanie ma uwzględniać kasztę (wielkość) liter.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1717"/>
+        <source>Regular expressions describe complex string matching patterns.</source>
+        <translatorcomment>Loose translation</translatorcomment>
+        <translation>Wyrażenia regularne opisują złożone wzorce porównywania napisów.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1719"/>
+        <source>&lt;html&gt;&lt;b&gt;Regular Expression Quick Guide&lt;/b&gt;&lt;ul&gt;&lt;li&gt;The dot &lt;tt&gt;.&lt;/tt&gt; matches any character.&lt;/li&gt;&lt;li&gt;Most characters match themselves.&lt;/li&gt;&lt;li&gt;Prepend a backslash &lt;tt&gt;\&lt;/tt&gt; to match special    characters &lt;tt&gt;()[]{}|*+.?!^$\&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\b&lt;/tt&gt; matches a word boundary.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\w&lt;/tt&gt; matches a word character.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\d&lt;/tt&gt; matches a digit character.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\s&lt;/tt&gt; matches a blank character.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\n&lt;/tt&gt; matches a newline character.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;[&lt;i&gt;a&lt;/i&gt;-&lt;i&gt;b&lt;/i&gt;]&lt;/tt&gt; matches characters in range    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt;-&lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;[^&lt;i&gt;a&lt;/i&gt;-&lt;i&gt;b&lt;/i&gt;]&lt;/tt&gt; matches characters outside range    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt;-&lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;|&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt; matches either regular expression    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt; or regular expression &lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{&lt;i&gt;n&lt;/i&gt;,&lt;i&gt;m&lt;/i&gt;}&lt;/tt&gt; matches regular expression    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt; repeated &lt;tt&gt;&lt;i&gt;n&lt;/i&gt;&lt;/tt&gt; to &lt;tt&gt;&lt;i&gt;m&lt;/i&gt;&lt;/tt&gt;    times.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;?&lt;/tt&gt;, &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;*&lt;/tt&gt;, and &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;+&lt;/tt&gt;    are shorthands for &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{0,1}&lt;/tt&gt;, &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{0,}&lt;/tt&gt;,     and &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{1,}&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;Use parentheses &lt;tt&gt;()&lt;/tt&gt; to group regular expressions     before &lt;tt&gt;?+*{&lt;/tt&gt;.&lt;/li&gt;&lt;/ul&gt;&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Uproszczony opis wyrażeń regularnych&lt;/b&gt;&lt;ul&gt;&lt;li&gt;Kropka &lt;tt&gt;.&lt;/tt&gt; uzgadnia się z każdym znakiem.&lt;/li&gt;&lt;li&gt;Większość znaków uzgadnia się ze sobą.&lt;/li&gt;&lt;li&gt; Aby uzgodnić znaki specjalne &lt;tt&gt;()[]{}|*+.?!^$\&lt;/tt&gt;.&lt;/li&gt;poprzedź je ukośnikiem wstecznym &lt;tt&gt;\&lt;/tt&gt;&lt;li&gt;&lt;tt&gt;\b&lt;/tt&gt; uzgadnia się z granicą słów.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\w&lt;/tt&gt; uzgadnia się ze znakiem alfabetycznym.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\d&lt;/tt&gt; uzgadnia się ze znakiem cyfry.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\s&lt;/tt&gt; uzgadnia się ze spacją.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;\n&lt;/tt&gt;uzgadnia się ze znakiem nowej linii.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;[&lt;i&gt;a&lt;/i&gt;-&lt;i&gt;b&lt;/i&gt;]&lt;/tt&gt; uzgadnia się ze znakami z przedziału    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt;-&lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;[^&lt;i&gt;a&lt;/i&gt;-&lt;i&gt;b&lt;/i&gt;]&lt;/tt&gt; uzgadnia się ze znakami spoza przedziału    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt;-&lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;|&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt; uzgadnia się z wyrażeniem regularnym    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt; lub wyrażeniem regularnym &lt;tt&gt;&lt;i&gt;b&lt;/i&gt;&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{&lt;i&gt;n&lt;/i&gt;,&lt;i&gt;m&lt;/i&gt;}&lt;/tt&gt; uzgadnia się z wyrażeniem regularnym    &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;&lt;/tt&gt;powtórzonym od &lt;tt&gt;&lt;i&gt;n&lt;/i&gt;&lt;/tt&gt; do &lt;tt&gt;&lt;i&gt;m&lt;/i&gt;&lt;/tt&gt;    razy.&lt;/li&gt;&lt;li&gt;&lt;tt&gt;&lt;i&gt;a&lt;/i&gt;?&lt;/tt&gt;, &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;*&lt;/tt&gt;, and &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;+&lt;/tt&gt;    są skrótem dla &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{0,1}&lt;/tt&gt;, &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{0,}&lt;/tt&gt;,    i &lt;tt&gt;&lt;i&gt;a&lt;/i&gt;{1,}&lt;/tt&gt;.&lt;/li&gt;&lt;li&gt;Nawiasy okrągłe &lt;tt&gt;()&lt;/tt&gt; służą do grupowania wyrażeń     przed &lt;tt&gt;?+*{&lt;/tt&gt;.&lt;/li&gt;&lt;/ul&gt;&lt;/html&gt;</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewFind::Model</name>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="979"/>
+        <source>1 hit</source>
+        <translation>1 wynik</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjviewsidebar.cpp" line="980"/>
+        <source>%n hits</source>
+        <translation>
+            <numerusform>%n wynik</numerusform>
+            <numerusform>%n wyniki</numerusform>
+            <numerusform>%n wyników</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1048"/>
+        <source>Page %1 (1 hit)</source>
+        <translation>Strona %1 (1 wynik)</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjviewsidebar.cpp" line="1050"/>
+        <source>Page %1 (%n hits)</source>
+        <translation>
+            <numerusform>Strona %1 (%n wynik)</numerusform>
+            <numerusform>Strona %1 (%n wyniki)</numerusform>
+            <numerusform>Strona %1 (%n wyników)</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1372"/>
+        <source>Searching page %1 (waiting for data.)</source>
+        <translation>Przeszukiwanie strony %1 (oczekiwanie na dane.)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1385"/>
+        <source>Searching page %1.</source>
+        <translation>Przeszukiwanie strony %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1420"/>
+        <source>No hits!</source>
+        <translation>Brak wyników!</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1425"/>
+        <source>&lt;html&gt;Document is not searchable. No page contains information about its textual content.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;Dokument nie nadaje się do przeszukiwania. Żadna strona nie zawiera treści tekstowej.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="1431"/>
+        <source>&lt;html&gt;Invalid regular expression.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;Niepoprawne wyrażenie regularne.&lt;/html&gt;</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewImgExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1866"/>
+        <source>%1 Image</source>
+        <comment>JPG Image</comment>
+        <translation>%1 obraz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1867"/>
+        <source>%1 Files (*.%2)</source>
+        <comment>JPG Files</comment>
+        <translation>%1 plików (*.%2)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1933"/>
+        <source>Cannot render page.</source>
+        <translation>Nie można zwizualizować strony.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1943"/>
+        <source>Image format %1 not supported.</source>
+        <translation>Format obrazu %1 nie jest obsługiwany.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewInfoDialog</name>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="16"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="29"/>
+        <source>&amp;Document</source>
+        <translation>&amp;Dokument</translation>
+    </message>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="88"/>
+        <source>&amp;File</source>
+        <translation>&amp;Plik</translation>
+    </message>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="108"/>
+        <source>File: </source>
+        <translation>Plik: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="154"/>
+        <source>&amp;View Page</source>
+        <translation>&amp;Pokaż stronę</translation>
+    </message>
+    <message>
+        <location filename="qdjviewinfodialog.ui" line="204"/>
+        <source>&amp;Close</source>
+        <translation>&amp;Zamknij</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="300"/>
+        <source>File #</source>
+        <translation>Plik nr</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="300"/>
+        <source>File Name</source>
+        <translation>Nazwa pliku</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="301"/>
+        <source>File Size</source>
+        <translation>Rozmiar pliku</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="301"/>
+        <source>File Type</source>
+        <translation>Typ pliku</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="302"/>
+        <source>Page #</source>
+        <translation>Strona nr</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="302"/>
+        <source>Page Title</source>
+        <translation>Tytuł strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="334"/>
+        <source>&lt;html&gt;&lt;b&gt;Document information&lt;/b&gt;&lt;br&gt;This panel shows information about the document and its component files. Select a component file to display detailed information in the &lt;tt&gt;File&lt;/tt&gt; tab. Double click a component file to show the corresponding page in the main window. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Informacje o dokumencie&lt;/b&gt;&lt;br&gt;Ten panel zawiera informacje o dokumencie i jego plikach składowych. Wybierz plik składowy, aby wyświetlić szczegółowe informacje w zakładce &lt;tt&gt;Plik&lt;/tt&gt;  Kliknij dwukrotnie na plik składowy, aby wyświetlić odpowiednią stronę w głównym oknie. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="342"/>
+        <source>&lt;html&gt;&lt;b&gt;File and page information&lt;/b&gt;&lt;br&gt;This panel shows the structure of the DjVu data corresponding to the component file or the page selected in the &lt;tt&gt;Document&lt;/tt&gt; tab. The arrow buttons jump to the previous or next component file.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Informacje o pliku i stronie&lt;/b&gt;&lt;br&gt;Ten panel pokazuje strukturę danych DjVu odpowiadających plikowi składowemu lub stronie wybranej w zakładce &lt;tt&gt;Dokument&lt;/tt&gt; . Klawisze strzałek przenoszą do poprzedniego lub następnego pliku składowego.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="396"/>
+        <source>Waiting for data...</source>
+        <translation>Oczekiwanie na dane...</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="515"/>
+        <source>Page #%1</source>
+        <translation>Strona nr %1</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="518"/>
+        <source>Thumbnails</source>
+        <translation>Miniaturki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="520"/>
+        <source>Shared annotations</source>
+        <translation>Adnotacje wspólne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="522"/>
+        <source>Shared data</source>
+        <translation>Dane wspólne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="523"/>
+        <source>File #%1 - </source>
+        <translation>Plik nr %1 - </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="536"/>
+        <source>Single DjVu page</source>
+        <translation>Pojedyncza strona DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="540"/>
+        <source>Bundled DjVu document</source>
+        <translation>Scalony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="542"/>
+        <source>Indirect DjVu document</source>
+        <translation>Rozłożony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="544"/>
+        <source>Obsolete bundled DjVu document</source>
+        <translation>Przestarzały scalony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="546"/>
+        <source>Obsolete indexed DjVu document</source>
+        <translation>Przestarzały rozłożony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="550"/>
+        <source>1 file</source>
+        <translation>1 plik</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjviewdialogs.cpp" line="550"/>
+        <source>%n files</source>
+        <translation>
+            <numerusform>%n plik</numerusform>
+            <numerusform>%n pliki</numerusform>
+            <numerusform>%n plików</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="551"/>
+        <source>1 page</source>
+        <translation>1 strona</translation>
+    </message>
+    <message numerus="yes">
+        <location filename="qdjviewdialogs.cpp" line="551"/>
+        <source>%n pages</source>
+        <translation>
+            <numerusform>%n strona</numerusform>
+            <numerusform>%n strony</numerusform>
+            <numerusform>%n stron</numerusform>
+        </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="584"/>
+        <location filename="qdjviewdialogs.cpp" line="591"/>
+        <source>n/a</source>
+        <translation>nie stosuje się</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="598"/>
+        <source> Page </source>
+        <translation> Strona </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="600"/>
+        <source> Thumbnails </source>
+        <translation> Miniaturki </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="602"/>
+        <source> Shared </source>
+        <translation> Wspólne </translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewMetaDialog</name>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="16"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="29"/>
+        <source>&amp;Document Metadata</source>
+        <translation>Metadane &amp;dokumentu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="55"/>
+        <source>&amp;Page Metadata</source>
+        <translation>Metadane &amp;strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="75"/>
+        <source>Page:</source>
+        <translation>Strona:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="121"/>
+        <source>&amp;View Page</source>
+        <translation>&amp;Pokaż stronę</translation>
+    </message>
+    <message>
+        <location filename="qdjviewmetadialog.ui" line="168"/>
+        <source>&amp;Close</source>
+        <translation>&amp;Zamknij</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="669"/>
+        <source>Ctrl+C</source>
+        <comment>copy</comment>
+        <translation>Ctrl+C</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="672"/>
+        <source> Key </source>
+        <translation> Klawisz </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="672"/>
+        <source> Value </source>
+        <translation> Wartość </translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="716"/>
+        <source>&lt;html&gt;&lt;b&gt;Document metadata&lt;/b&gt;&lt;br&gt;This panel displays metadata pertaining to the document, such as author, title, references, etc. This information can be saved into the document with program &lt;tt&gt;djvused&lt;/tt&gt;: use the commands &lt;tt&gt;create-shared-ant&lt;/tt&gt; and &lt;tt&gt;set-meta&lt;/tt&gt;.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Metadane dokumentu&lt;/b&gt;&lt;br&gt;Ten panel pokazuje metadane dokumentu, takie jak autor, tytuł, bibliografię itp. Informacje takie mogą być zapisane w dokumencie za pomocą programu &lt;tt&gt;djvused&lt;/tt&gt; i komend &lt;tt&gt;create-shared-ant&lt;/tt&gt; oraz &lt;tt&gt;set-meta&lt;/tt&gt;.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="725"/>
+        <source>&lt;html&gt;&lt;b&gt;Page metadata&lt;/b&gt;&lt;br&gt;This panel displays metadata pertaining to a specific page. Page specific metadata override document metadata. This information can be saved into the document with program &lt;tt&gt;djvused&lt;/tt&gt;: use command &lt;tt&gt;select&lt;/tt&gt; to select the page and command &lt;tt&gt;set-meta&lt;/tt&gt; to specify the metadata entries.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Metadane strony&lt;/b&gt;&lt;br&gt;Ten panel pokazuje metadane dotyczące konkretnej strony. Są one ważniejsze od metadanych dokumentu. Ta informacja może być zapisana w dokumencie za pomocą programu &lt;tt&gt;djvused&lt;/tt&gt; i komend: &lt;tt&gt;select&lt;/tt&gt;  w celu wybrania strony i &lt;tt&gt;set-meta&lt;/tt&gt; do wstawienia pól metadanych.&lt;/html&gt;</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewOutline</name>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="120"/>
+        <source>&lt;html&gt;&lt;b&gt;Document outline.&lt;/b&gt;&lt;br/&gt; This panel display the document outline, or the page names when the outline is not available, Double-click any entry to jump to the selected page.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Zakładki dokumentu.&lt;/b&gt;&lt;br/&gt; Ten panel pokazuje zakładki dokumentu, lub nazwy stron, jeśli zakładki nie są dostępny. Dwukrotne kliknięcie przenosi do wybranej strony.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="153"/>
+        <source>Outline data is corrupted</source>
+        <translation>Dane zakładek są uszkodzone</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="170"/>
+        <source>Pages</source>
+        <translation>Strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="177"/>
+        <location filename="qdjviewsidebar.cpp" line="236"/>
+        <source>Page %1</source>
+        <translation>Strona %1</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="181"/>
+        <location filename="qdjviewsidebar.cpp" line="248"/>
+        <source>Go: page %1.</source>
+        <translation>Przejdź do strony %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="244"/>
+        <source>Go: %1</source>
+        <translation>Przejdź: %1</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPSExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="556"/>
+        <source>PostScript</source>
+        <translation>PostScript</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="557"/>
+        <location filename="qdjviewexporters.cpp" line="561"/>
+        <source>PostScript Files (*.ps *.eps)</source>
+        <translation>Pliki w formacie PostScript (*.ps *.eps)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="560"/>
+        <source>Encapsulated PostScript</source>
+        <translation>Encapsulated PostScript</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="606"/>
+        <source>PostScript</source>
+        <comment>tab caption</comment>
+        <translation>PostScript</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="607"/>
+        <source>Position</source>
+        <comment>tab caption</comment>
+        <translation>Pozycjonowanie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="608"/>
+        <source>Booklet</source>
+        <comment>tab caption</comment>
+        <translation>Broszura</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="618"/>
+        <source>&lt;html&gt;&lt;b&gt;PostScript options.&lt;/b&gt;&lt;br&gt;Option &lt;tt&gt;Color&lt;/tt&gt; enables color printing. Document pages can be decorated with frame and crop marks. PostScript language level 1 is only useful with very old printers. Level 2 works with most printers. Level 3 print color document faster on recent printers.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Opcje języka PostScript.&lt;/b&gt;&lt;br&gt;Opcje &lt;tt&gt;Kolor&lt;/tt&gt; włącza drukowanie w kolorze. Strony dokumentu mogą być uzupełnione o ramki i znaczniki cięcia. Język PostScript poziom 1 jest przydatny tylko dla bardzo starych drukarek. Poziom 2 jest właściwy dla większości drukarek. Poziom 3 drukuje kolorowe dokumenty szybciej na nowszych drukarkach.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="626"/>
+        <source>&lt;html&gt;&lt;b&gt;Position and scaling.&lt;/b&gt;&lt;br&gt;Option &lt;tt&gt;Scale to fit&lt;/tt&gt; accommodates whatever paper size your printer uses. Zoom factor &lt;tt&gt;100%&lt;/tt&gt; reproduces the initial document size. Orientation &lt;tt&gt;Automatic&lt;/tt&gt; chooses portrait or landscape on a page per page basis.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Pozycjonowanie i skalowanie.&lt;/b&gt;&lt;br&gt;Opcje &lt;tt&gt;Skaluj, aby dopasować&lt;/tt&gt; dostosowuje się do dowolnego rozmiaru papieru. Współczynnik skalowania &lt;tt&gt;100%&lt;/tt&gt; zachowuje oryginalny rozmiar dokumentu. Orientacja&lt;tt&gt;Automatyczne&lt;/tt&gt; wybiera portret lub krajobraz osobno dla każdej strony.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="633"/>
+        <source>&lt;html&gt;&lt;b&gt;Producing booklets.&lt;/b&gt;&lt;br&gt;The booklet mode prints the selected pages as sheets suitable for folding one or several booklets. Several booklets might be produced when a maximum number of sheets per booklet is specified. You can either use a duplex printer or print rectos and versos separately.&lt;p&gt; Shifting rectos and versos is useful with poorly aligned duplex printers. The center margins determine how much space is left between the pages to fold the sheets. This space slowly increases from the inner sheet to the outer sheet.&lt;/html&gt;</source>
+        <translatorcomment>Loose translation</translatorcomment>
+        <translation>&lt;html&gt;&lt;b&gt;Tworzenie broszury.&lt;/b&gt;&lt;br&gt;Tryb broszury drukuje wybrane strony jako arkusze nadające się do złożenia i utworzenia jednej lub więcej broszur. Kilka broszur można tworzyć kiedy jest określona maksymalna liczba arkuszy na broszurę. Można drukować dwustronnie lub osobno strony recto i strony verso.&lt;p&gt; Przesunięcie stron recto i verso jest przydatny dla drukarek dwustronnych, które nie wyrównują dobrze marginesów. Margines centralny decyduje o tym, ile miejsca jest między stronami  na zgięcie arkusza. Ten margines zwiększa się powoli od arkuszy wewnętrznych do arkuszy zewnętrznych.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1127"/>
+        <source>Save job creation failed!</source>
+        <translation>Utworzenie zadania zapisania nie powiodło się!</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPdfExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1709"/>
+        <source>PDF Document</source>
+        <translation>Dokument PDF</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1710"/>
+        <source>PDF Files (*.pdf)</source>
+        <translation>Pliki PDF (*.pdf)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1719"/>
+        <source>PDF Options</source>
+        <comment>tab caption</comment>
+        <translation>Opcje PDF</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1720"/>
+        <source>&lt;html&gt;&lt;b&gt;PDF options.&lt;/b&gt;&lt;br&gt;These options control the characteristics of the images embedded in the exported PDF files. The resolution box limits their maximal resolution. Forcing bitonal G4 compression encodes all pages in black and white using the CCITT Group 4 compression. Allowing JPEG compression uses lossy JPEG for all non bitonal or subsampled images. Otherwise, allowing deflate compression produces more compact files. &lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Opcje PDF.&lt;/b&gt;&lt;br&gt;Te opcje określają własności obrazów zawartych w eksportowanych plikach PDF. Okienko rozdzielczości ogranicza ich maksymalną rozdzielczość. Wymuszenie bitonalnej kompresji oznacza zakodowanie wszystkich stron jako czarno-białych za pomocą kompresji CCITT Group 4. Dopuszczenie kompresji JPEG oznacza użycie stratnej kompresji JPEG dla wszystkich bitonalnych lub podpróbkowanych obrazów. W przeciwnym razie dopuszczenie kompresji deflate tworzy bardziej zwarte pliki. &lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1764"/>
+        <source>Error while creating pdf file.</source>
+        <translation>Błąd w trakcie tworzenia pliku PDF.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1768"/>
+        <source>Unable to create output file.</source>
+        <translation>Nie można utworzyć pliku wyjściowego.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1770"/>
+        <location filename="qdjviewexporters.cpp" line="1814"/>
+        <source>System error: %1.</source>
+        <translation>Błąd systemowy: %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1773"/>
+        <source>Unable to reopen temporary file.</source>
+        <translation>Nie można ponownie otworzyć pliku tymczasowego.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1788"/>
+        <source>PDF export was not compiled.</source>
+        <translatorcomment>What it is supposed to mean?</translatorcomment>
+        <translation>Eksport do PDF nie został skompilowany.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1812"/>
+        <source>Unable to create temporary file.</source>
+        <translation>Nie można utworzyć pliku tymczasowego.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPlugin::Document</name>
+    <message>
+        <location filename="qdjviewplugin.cpp" line="389"/>
+        <source>Requesting %1.</source>
+        <translation>Zażądano %1.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPrefsDialog</name>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="14"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="27"/>
+        <source>&amp;Screen</source>
+        <translation>&amp;Ekran</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="33"/>
+        <source>Gamma</source>
+        <translation>Współczynnik gamma</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="53"/>
+        <source>&lt;html&gt;Screen color correction.&lt;br&gt;Adjust slider until gray shades look similar.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;Korekta koloru ekranu.&lt;br&gt;Ustaw suwak tak, aby odcienie szarości były podobne.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="102"/>
+        <source>Darker</source>
+        <translation>Ciemniej</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="122"/>
+        <source>Lighter</source>
+        <translation>Jaśniej</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="191"/>
+        <location filename="qdjviewprefsdialog.ui" line="387"/>
+        <source>Display</source>
+        <translation>Wyświetlanie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="199"/>
+        <source>Force screen &amp;resolution</source>
+        <translation>Wymuś rozdzielczość &amp;ekranową</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="234"/>
+        <source> dpi</source>
+        <translation> dpi</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="268"/>
+        <source>Force inverted luminance</source>
+        <translation>Wymuś odwrócenie luminancji</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="279"/>
+        <source>&amp;Interface</source>
+        <translation>&amp;Interfejs</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="293"/>
+        <source>Options for</source>
+        <translatorcomment>Obsolete?</translatorcomment>
+        <translation>Opcje dla</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="321"/>
+        <source>&amp;Remember initial state from last invocation</source>
+        <translatorcomment>Loose translation</translatorcomment>
+        <translation>&amp;Pamiętaj stan po ostatnim uruchomieniu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="330"/>
+        <source>Show</source>
+        <translation>Wyświetlaj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="336"/>
+        <source>&amp;Menu bar</source>
+        <translation>Pasek &amp;menu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="343"/>
+        <source>&amp;Tool bar</source>
+        <translation>Pasek &amp;narzędzi</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="350"/>
+        <source>Sc&amp;rollbars</source>
+        <translation>&amp;Suwaki przewijania</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="357"/>
+        <source>Stat&amp;us bar</source>
+        <translation>Pasek s&amp;tanu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="364"/>
+        <source>&amp;Side bar</source>
+        <translation>Panel &amp;boczny</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="395"/>
+        <source>&amp;Zoom: </source>
+        <translatorcomment>Skalowanie too long</translatorcomment>
+        <translation>S&amp;kala: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="415"/>
+        <source>Timer:  </source>
+        <translatorcomment>All reasonable translation too long</translatorcomment>
+        <translation>Timer:  </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="428"/>
+        <source> s</source>
+        <translation> s</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="459"/>
+        <source>Display page &amp;frames</source>
+        <translation>&amp;Ramki stron</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="466"/>
+        <source>Display &amp;annotations</source>
+        <translation>&amp;Adnotacje</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="489"/>
+        <source>Layout</source>
+        <translation>Układ</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="495"/>
+        <source>Continuous</source>
+        <translation>Ciągły</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="518"/>
+        <source>Side-by-side</source>
+        <translation>Obok siebie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="548"/>
+        <source>Cover Page</source>
+        <translation>Strona tytułowa</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="555"/>
+        <source>Right-to-Left</source>
+        <translation>Od prawej</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="598"/>
+        <source>&amp;Keys</source>
+        <translation>&amp;Klawisze</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="604"/>
+        <source>Keys</source>
+        <translation>Klawisze</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="616"/>
+        <source>For displaying hyper&amp;links: </source>
+        <translation>Wyświetlanie &amp;hiperłączy: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="626"/>
+        <source>For &amp;selecting text or images: </source>
+        <translation>&amp;Zaznaczanie tekstu lub obrazów: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="636"/>
+        <source>For displaying the &amp;lens: </source>
+        <translation>Wyświetlanie &amp;lupy: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="670"/>
+        <source>Mouse wheel</source>
+        <translation>Rolka myszy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="676"/>
+        <source>Mouse wheel scrolls the page</source>
+        <translation>Rolka myszy przewija stronę</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="686"/>
+        <source>Mouse wheel changes the zoom factor</source>
+        <translation>Rolka myszy zmienia wartość skalowania</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="710"/>
+        <source>&amp;Lens</source>
+        <translation>&amp;Lupa</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="722"/>
+        <source>Enable magnifying &amp;lens</source>
+        <translation>Włącz szkło &amp;powiększające</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="732"/>
+        <source>Lens options</source>
+        <translation>Opcje lupy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="744"/>
+        <source>Lens &amp;size: </source>
+        <translation>&amp;Rozmiar okna lupy: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="754"/>
+        <source>Magnifying &amp;power: </source>
+        <translation>Stopień &amp;powiększenia: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="764"/>
+        <source>x</source>
+        <translation>x</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="780"/>
+        <source> pixels</source>
+        <translation> pikseli</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="816"/>
+        <source>&amp;Network</source>
+        <translation>&amp;Sieć</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="825"/>
+        <source>Proxy settings</source>
+        <translation>Ustawienia serwera pośredniczącego</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="831"/>
+        <source>Use pro&amp;xy to access the network</source>
+        <translation>Stosuj &amp;serwer pośredniczący</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="844"/>
+        <source>&amp;Host: </source>
+        <translation>&amp;Serwer: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="864"/>
+        <source>&amp;Port: </source>
+        <translation>&amp;Port: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="884"/>
+        <source>&amp;User: </source>
+        <translation>&amp;Użytkownik: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="904"/>
+        <source>Pass&amp;word: </source>
+        <translation>&amp;Hasło: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="927"/>
+        <source>Cache</source>
+        <translation>Pamięć podręczna</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="939"/>
+        <source>&amp;Clear</source>
+        <translation>&amp;Wyczyść</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="949"/>
+        <location filename="qdjviewprefsdialog.ui" line="962"/>
+        <source> MB</source>
+        <translation> MB</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="978"/>
+        <source>&amp;Decoded page cache: </source>
+        <translation>Pamięć zdekodowanych &amp;stron: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="988"/>
+        <source>&amp;Pixel cache: </source>
+        <translation>Pamięć &amp;pikseli: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1015"/>
+        <source>&amp;Advanced</source>
+        <translation>&amp;Zaawansowane</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1021"/>
+        <source>Interface</source>
+        <translation>Interfejs</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1029"/>
+        <source>Force language (next time djview runs)</source>
+        <translation>Wymuś język (wymaga ponownego uruchomienia)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1058"/>
+        <source>Enable page animations</source>
+        <translation>Włącz animację stron</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1068"/>
+        <source>Enable advanced features in menus</source>
+        <translation>Włącz zaawansowane opcje w menu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1075"/>
+        <source>Show hidden text in status bar</source>
+        <translation>Pokazuj na pasku stanu tekst ukryty</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1085"/>
+        <source>Miscellaneous</source>
+        <translation>Różne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1091"/>
+        <source>Render with openGL when available</source>
+        <translation>Wizualizuj za pomocą openGL jeśli jest dostępne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1101"/>
+        <source>Override saving and printing restrictions</source>
+        <translation>Ignoruj ograniczenia zapisywania i drukowania</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1110"/>
+        <source>Manual printer color correction</source>
+        <translation>Ręczna korekta kolorów drukowania</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1123"/>
+        <source>gamma=</source>
+        <translation>gamma=</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1188"/>
+        <source>&amp;Defaults</source>
+        <translation>&amp;Wartości domyślne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1214"/>
+        <source>&amp;Apply</source>
+        <translation>&amp;Zastosuj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1221"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefsdialog.ui" line="1228"/>
+        <source>Cancel</source>
+        <translation>Anuluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="780"/>
+        <source>Preferences[*] - DjView</source>
+        <translation>Ustawienia - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="851"/>
+        <source>&lt;html&gt;&lt;b&gt;Screen gamma correction.&lt;/b&gt;&lt;br&gt;The best color rendition is achieved by adjusting the gamma correction slider and choosing the position that makes the gray square as uniform as possible.&lt;p&gt;&lt;b&gt;Screen resolution.&lt;/b&gt;&lt;br&gt;This option forces a particular resolution instead of using the unreliable resolution advertised by the operating system. Forcing the resolution to 100 dpi matches the behavior of the djvulibre command line tools.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Korekcja współczynnika gamma.&lt;/b&gt;&lt;br&gt; Najlepszą wizualizację kolorów osiąga się przez  wybór takiej pozycji suwaka, w której szare kwadraty są najbardziej podobne.&lt;p&gt;&lt;b&gt;Rozdzielczość ekranu.&lt;/b&gt;&lt;br&gt;Ta opcja wymusza konkretną rozdzielczość zamiast rozdzielczości proponowanej przez system operacyjny. Wymuszanie rozdzielczości 100 dpi jest zgodne z zachowaniem programów narzędziowych DjVuLibre.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="864"/>
+        <source>&lt;html&gt;&lt;b&gt;Initial interface setup.&lt;/b&gt;&lt;br&gt;DjView can run as a standalone viewer, as a full screen viewer, as a full page browser plugin, or as a plugin embedded inside a html page. For each case, check the &lt;tt&gt;Remember&lt;/tt&gt; box to automatically save and restore the interface setup. Otherwise, specify an initial configuration.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Początkowe ustawienie interfejsu.&lt;/b&gt;&lt;br&gt;DjView może pracować jako samodzielna przeglądarka, jako przeglądarka pełnoekranowa, jako pełnoekranowa wtyczka do przeglądarki WWW, i jako wtyczka osadzona na stronie HTML. W każdym przypadku należy zaznaczyć pole wyboru &lt;tt&gt;Pamiętaj&lt;/tt&gt; aby automatycznie zapisać i odtworzyć ustawienia interfejsu. W przeciwnym wypadku należy określić konfigurację początkową.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="874"/>
+        <source>&lt;html&gt;&lt;b&gt;Modifiers keys.&lt;/b&gt;&lt;br&gt;Define which combination of modifier keys will show the manifying lens, temporarily enable the selection mode, or highlight the hyperlinks.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Klawisze modyfikujące.&lt;/b&gt;&lt;br&gt;Określ, które kombinacje klawiszy wyświetlają lupę, tymczasowo włączają tryb zaznaczania lub uwydatniają hiperłącza.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="881"/>
+        <source>&lt;html&gt;&lt;b&gt;Magnifying lens.&lt;/b&gt;&lt;br&gt;The magnifying lens appears when you depress the modifier keys specified in tab &lt;tt&gt;Keys&lt;/tt&gt;. This panel lets you choose the power and the size of the magnifying lens.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Szkło powiekszające.&lt;/b&gt;&lt;br&gt;Szkło powiększające ukazuje się po naciśnięciu klawisza modyfikującego określonego w zakładce &lt;tt&gt;Klawisze&lt;/tt&gt;. Ten panel pozwala wybrać stopień powiększenia i rozmiar lupy.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="889"/>
+        <source>&lt;html&gt;&lt;b&gt;Advanced.&lt;/b&gt;&lt;br&gt;You can override the default interface language, disable the page animations, or enable additional menu entries that are useful for authoring DjVu files.You can also disable the printing or saving restrictions dictated by certain web sites. The manual color correction can be useful with old printers.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Zaawansowane.&lt;/b&gt;&lt;br&gt;Można zmienić domyślny język interfejsu, wyłączyć animację stron, włączyć dodatkowe pozycje menu.Można również wyłączyć ograniczenia drukowania lub zapisywania narzucane przez niektóre witryny internetowe. Ręczna korekta koloru drukowania może być przydatna dla starych drukarek.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="899"/>
+        <source>&lt;html&gt;&lt;b&gt;Network proxy settings.&lt;/b&gt;&lt;br&gt;These proxy settings are used when the standalone djview viewer accesses a djvu document through a http url. The djview plugin always uses the proxy settings of the web browser.&lt;p&gt;&lt;b&gt;Cache settings.&lt;/b&gt;&lt;br&gt;The &lt;i&gt;pixel cache&lt;/i&gt; stores image data located outside the visible area. This cache makes panning smoother. The &lt;i&gt;decoded page cache&lt;/i&gt; contains partially decoded pages. It provides faster response times when navigating a multipage document or when returning to a previously viewed page. Clearing this cache might be useful to reflect a change in the page data without restarting the DjVu viewer.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Ustawienia serwera pośredniczącego.&lt;/b&gt;&lt;br&gt;Te ustawienia są wykorzystywane, gdy samodzielna przeglądarka pobiera dokument za pomocą protokołu HTTP. Wtyczka DjView zawsze używa ustawień przeglądarki internetowej.&lt;p&gt;&lt;b&gt;Ustawienia pamięci podręcznej.&lt;/b&gt;&lt;br&gt;&lt;i&gt;Pamięć pikseli&lt;/i&gt; przechowuje informacje o fragmentach obrazu, które nie są aktualnie wyświetlane. Powoduje to bardziej płynne pozycjonowanie.  &lt;i&gt;Pamięć zdekodowanych stron&lt;/i&gt; zawiera częściowo zdekodowane strony. Zapewnia szybszy czas reakcji podczas nawigacji w wielostronicowym dokumencie oraz przy powrocie do poprzednio wyświetlanej strony. Wyczyszczenie pamięci może być pożyteczne dla uwzględnienia zmienionych dany strony bez ponownego uruchamiania programu.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="954"/>
+        <source>Standalone Viewer</source>
+        <translation>Samodzielna przeglądarka</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="957"/>
+        <source>Standalone Viewer (Full Screen mode)</source>
+        <translation>Samodzielna przeglądarka (tryb pełnoekranowy)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="960"/>
+        <source>Standalone Viewer (Slideshow mode)</source>
+        <translation>Samodzielna przeglądarka (pokaz slajdów)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="963"/>
+        <source>Full Page Plugin</source>
+        <translation>Wtyczka całostronicowa</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprefs.cpp" line="966"/>
+        <source>Embedded Plugin</source>
+        <translation>Wtyczka osadzona</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPrintDialog</name>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="13"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="29"/>
+        <location filename="qdjviewprintdialog.ui" line="41"/>
+        <source>Print</source>
+        <translation>Drukuj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="53"/>
+        <source>&amp;Document</source>
+        <translation>&amp;Dokument</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="63"/>
+        <source>C&amp;urrent page</source>
+        <translation>&amp;Bieżąca strona</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="78"/>
+        <source>&amp;Pages</source>
+        <translation>&amp;Strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="88"/>
+        <source>to</source>
+        <translation>do</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="122"/>
+        <source>Destination</source>
+        <translation>Urządzenie docelowe</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="134"/>
+        <source>Print to file</source>
+        <translation>Drukuj do pliku</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="182"/>
+        <source>Printer name: </source>
+        <translation>Nazwa drukarki: </translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="207"/>
+        <source>Choose</source>
+        <translation>Wybierz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="238"/>
+        <source>&amp;Defaults</source>
+        <translation>&amp;Wartości domyślne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="264"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="280"/>
+        <location filename="qdjviewdialogs.cpp" line="1852"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Anuluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewprintdialog.ui" line="307"/>
+        <source>Stop</source>
+        <translation>Stop</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1607"/>
+        <source>&lt;html&gt;&lt;b&gt;Printing.&lt;/b&gt;&lt;br/&gt; You can print the whole document or a page range. Use the &lt;tt&gt;Choose&lt;/tt&gt; button to select a print destination and specify printer options. Additional dialog tabs might appear to specify conversion options.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Drukowanie.&lt;/b&gt;&lt;br/&gt; Można drukować cały dokument lub pewien przedział stron. Użyj przycisku &lt;tt&gt;Wybierz&lt;/tt&gt; aby wybrać urządzenie i określić opcje drukowania. Mogą pojawić się dodatkowe zakładki z opcjami konwersji.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1697"/>
+        <source>(invalid printer)</source>
+        <translation>(drukarka niedostępna)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1729"/>
+        <source>All files</source>
+        <comment>save filter</comment>
+        <translation>Wszystkie pliki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1736"/>
+        <source>Print To File - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Drukuj do pliku - Djview</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1848"/>
+        <source>Question - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Pytanie - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1849"/>
+        <source>A file with this name already exists.
+Do you want to replace it?</source>
+        <translation>Plik o tej nazwie już istnieje
+Czy go zastąpić?</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1851"/>
+        <source>&amp;Replace</source>
+        <translation>&amp;Zastąp</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1891"/>
+        <source>This operation has failed.</source>
+        <translation>Ta operacja nie powiodła się.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1895"/>
+        <source>This operation has been interrupted.</source>
+        <translation>Ta operacja została przerwana.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewPrnExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="2011"/>
+        <source>Printer data</source>
+        <translation>Dane drukarki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="2012"/>
+        <source>PRN Files (*.prn)</source>
+        <translation>Pliki PRN (*.prn)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="2032"/>
+        <source>Printing Options</source>
+        <comment>tab caption</comment>
+        <translation>Opcje drukowania</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="2034"/>
+        <source>&lt;html&gt;&lt;b&gt;Printing options.&lt;/b&gt;&lt;br&gt;Option &lt;tt&gt;Color&lt;/tt&gt; enables color printing. Document pages can be decorated with a frame. Option &lt;tt&gt;Scale to fit&lt;/tt&gt; accommodates whatever paper size your printer uses. Zoom factor &lt;tt&gt;100%&lt;/tt&gt; reproduces the initial document size. Orientation &lt;tt&gt;Automatic&lt;/tt&gt; chooses portrait or landscape on a page per page basis.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Opcje drukowania.&lt;/b&gt;&lt;br&gt;Opcja &lt;tt&gt;Kolor&lt;/tt&gt; włącza drukowanie w kolorze. Strony dokumentu mogą być ujęte w ramki. Opcja &lt;tt&gt;Dopasuj do strony&lt;/tt&gt;  dostosowuje wydruk do dowolnego rozmiaru papieru w drukarce. Współczynnik skalowania równy &lt;tt&gt;100%&lt;/tt&gt;  zachowuje oryginalny rozmiar dokumentu. Orientacja&lt;tt&gt;Automatycznie/tt&gt;  wybiera orientację portret lub krajobraz osobno dla każdej strony.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="2290"/>
+        <source>Cannot render page %1.</source>
+        <translation>Nie można zwizualizować strony %1.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewSaveDialog</name>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="13"/>
+        <source>Dialog</source>
+        <translation>Dialog</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="25"/>
+        <source>Save</source>
+        <translation>Zapisz</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="37"/>
+        <source>&amp;Document</source>
+        <translation>&amp;Dokument</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="47"/>
+        <source>C&amp;urrent page</source>
+        <translation>&amp;Bieżąca strona</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="62"/>
+        <source>&amp;Pages</source>
+        <translation>&amp;Strony</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="72"/>
+        <source>to</source>
+        <translation>do</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="106"/>
+        <source>Destination</source>
+        <translation>Plik wynikowy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="134"/>
+        <source>Format:</source>
+        <translation>Format:</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="142"/>
+        <source>Bundled DjVu Document</source>
+        <translation>Scalony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="147"/>
+        <source>Indirect DjVu Document</source>
+        <translation>Rozłożony dokument DjVu</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="206"/>
+        <source>&amp;Ok</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="222"/>
+        <location filename="qdjviewdialogs.cpp" line="1070"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Anuluj</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsavedialog.ui" line="249"/>
+        <source>Stop</source>
+        <translation>Stop</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="971"/>
+        <source>&lt;html&gt;&lt;b&gt;Saving.&lt;/b&gt;&lt;br/&gt; You can save the whole document or a page range. The bundled format creates a single file. The indirect format creates multiple files suitable for web serving.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Zapisywanie.&lt;/b&gt;&lt;br/&gt; Można zapisać cały dokument lub zakres stron. Format scalony tworzy jeden plik. Format rozłożony tworzy wiele plików wygodnych do udostępniania przez serwery internetowe.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1060"/>
+        <source>Error - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Błąd - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1061"/>
+        <source>Overwriting the current file is not allowed!</source>
+        <translation>Nie można zastąpić bieżącego pliku!</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1066"/>
+        <source>Question - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Pytanie - DjView</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1067"/>
+        <source>A file with this name already exists.
+Do you want to replace it?</source>
+        <translation>Plik o tej nazwie już istnieje
+Czy go zastąpić?</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1069"/>
+        <source>&amp;Replace</source>
+        <translation>&amp;Zastąp</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1107"/>
+        <source>This operation has failed.</source>
+        <translation>Ta operacja nie powiodła się.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1111"/>
+        <source>This operation has been interrupted.</source>
+        <translation>Ta operacja została przerwana.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1138"/>
+        <source>All files</source>
+        <comment>save filter</comment>
+        <translation>Wszystkie pliki</translation>
+    </message>
+    <message>
+        <location filename="qdjviewdialogs.cpp" line="1145"/>
+        <source>Save - DjView</source>
+        <comment>dialog caption</comment>
+        <translation>Zapisz - DjView</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewThumbnails</name>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="724"/>
+        <source>Tiny</source>
+        <comment>thumbnail menu</comment>
+        <translation>Malutkie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="729"/>
+        <source>Small</source>
+        <comment>thumbnail menu</comment>
+        <translation>Małe</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="734"/>
+        <source>Medium</source>
+        <comment>thumbnail menu</comment>
+        <translation>Średnie</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="739"/>
+        <source>Large</source>
+        <comment>thumbnail menu</comment>
+        <translation>Duże</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="745"/>
+        <source>Smart</source>
+        <comment>thumbnail menu</comment>
+        <translation>Sprytne</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="752"/>
+        <source>Control Left Mouse Button</source>
+        <translation>Control i lewy klawisz myszy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="754"/>
+        <source>Right Mouse Button</source>
+        <translation>Prawy klawisz myszy</translation>
+    </message>
+    <message>
+        <location filename="qdjviewsidebar.cpp" line="756"/>
+        <source>&lt;html&gt;&lt;b&gt;Document thumbnails.&lt;/b&gt;&lt;br/&gt; This panel display thumbnails for the document pages. Double click a thumbnail to jump to the selected page. %1 to change the thumbnail size or the refresh mode. The smart refresh mode only computes thumbnails when the page data is present (displayed or cached.)&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Miniaturki.&lt;/b&gt;&lt;br/&gt; Ten panel wyświetla miniaturki stron dokumentu. Podwójne kliknięcie na miniaturkę przenosi do odpowiedniej strony. %1 aby zmienić rozmiar miniaturek lub je odświeżyć. Tryb sprytny wyświetla miniaturkę tylko wtedy, gdy strona jest wyświetlana lub znajduje się w pamięci podręcznej.&lt;/html&gt;</translation>
+    </message>
+</context>
+<context>
+    <name>QDjViewTiffExporter</name>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1349"/>
+        <source>TIFF Document</source>
+        <translation>Dokument TIFF</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1350"/>
+        <source>TIFF Files (*.tiff *.tif)</source>
+        <translation>Pliki TIFF (*.tiff *.tif)</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1369"/>
+        <source>TIFF Options</source>
+        <comment>tab caption</comment>
+        <translation>Opcje TIFF</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1371"/>
+        <source>&lt;html&gt;&lt;b&gt;TIFF options.&lt;/b&gt;&lt;br&gt;The resolution box specifies an upper limit for the resolution of the TIFF images. Forcing bitonal G4 compression encodes all pages in black and white using the CCITT Group 4 compression. Allowing JPEG compression uses lossy JPEG for all non bitonal or subsampled images. Otherwise, allowing deflate compression produces more compact (but less portable) files than the default packbits compression.&lt;/html&gt;</source>
+        <translation>&lt;html&gt;&lt;b&gt;Opcje TIFF &lt;/b&gt;&lt;br&gt;Pole wyboru rozdzielczości określa maksymalną rozdzielczość obrazów TIFF. Wymuszenie bitonalnej kompresji oznacza zakodowanie wszystkich stron jako czarno-białych za pomocą kompresji CCITT Group 4. Dopuszczenie kompresji JPEG oznacza użycie stratnej kompresji JPEG dla wszystkich bitonalnych lub podpróbkowanych obrazów. W przeciwnym razie dopuszczenie kompresji deflate tworzy bardziej zwarte pliki niż domyślna kompresja packbits.&lt;/html&gt;</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1533"/>
+        <source>Cannot open output file.</source>
+        <translation>Nie można otworzyć pliku wyjściowego.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1645"/>
+        <source>Out of memory.</source>
+        <translation>Zabrakło pamięci.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1647"/>
+        <source>Internal error.</source>
+        <translation>Błąd wewnętrzny.</translation>
+    </message>
+    <message>
+        <location filename="qdjviewexporters.cpp" line="1659"/>
+        <source>TIFF export has not been compiled.</source>
+        <translation>Eksport do TIFF nie został skompilowany.</translation>
+    </message>
+</context>
+<context>
+    <name>QDjVuNetDocument</name>
+    <message>
+        <location filename="qdjvunet.cpp" line="359"/>
+        <source>Requesting &apos;%1&apos;</source>
+        <translation>Zażądano %1</translation>
+    </message>
+</context>
+<context>
+    <name>QDjVuNetDocument::Private</name>
+    <message>
+        <location filename="qdjvunet.cpp" line="127"/>
+        <source>Received http status %1 while retrieving %2.</source>
+        <comment>%1 is an http status code</comment>
+        <translation>Otrzymano kod statusu %1 podczas pobierania %2.</translation>
+    </message>
+    <message>
+        <location filename="qdjvunet.cpp" line="142"/>
+        <source>Received &lt;%1&gt; data while retrieving %2.</source>
+        <comment>%1 is a mime type</comment>
+        <translation>Otrzymano typ danych &lt;%1&gt; w czasie pobierania %2.</translation>
+    </message>
+    <message>
+        <location filename="qdjvunet.cpp" line="185"/>
+        <source>%1 while retrieving &apos;%2&apos;.</source>
+        <translation>%1 w czasie pobierania %2.</translation>
+    </message>
+    <message>
+        <location filename="qdjvunet.cpp" line="225"/>
+        <source>Cannot validate the certificate for server %1.</source>
+        <translation>Nie można potwierdzić certyfikatu serwera %1.</translation>
+    </message>
+    <message>
+        <location filename="qdjvunet.cpp" line="252"/>
+        <source>Authentication required for %1 (%2).</source>
+        <translation>Autoryzacja wymagana dla %1 (%2).</translation>
+    </message>
+    <message>
+        <location filename="qdjvunet.cpp" line="260"/>
+        <source>Authentication required for proxy %1.</source>
+        <translation>Autoryzacja wymagana dla serwera pośredniczącego %1.</translation>
+    </message>
+</context>
+</TS>
--- djview4-4.12.orig/src/qdjviewexporters.cpp
+++ djview4-4.12/src/qdjviewexporters.cpp
@@ -405,9 +405,9 @@ QDjViewDjVuExporter::save(QString fname)
   fromPage = qBound(0, fromPage, pagenum-1);
   QByteArray pagespec;
   if (fromPage == toPage && pagenum > 1)
-    pagespec.append(QString("--pages=%1").arg(fromPage+1));
+    pagespec.append(QString("--pages=%1").arg(fromPage+1).toLocal8Bit());
   else if (fromPage != 0 || toPage != pagenum - 1)
-    pagespec.append(QString("--pages=%1-%2").arg(fromPage+1).arg(toPage+1));
+    pagespec.append(QString("--pages=%1-%2").arg(fromPage+1).arg(toPage+1).toLocal8Bit());
   QByteArray namespec;
   if (indirect)
     namespec = "--indirect=" + fname.toUtf8();
--- djview4-4.12.orig/src/qdjviewprefs.cpp
+++ djview4-4.12/src/qdjviewprefs.cpp
@@ -1021,7 +1021,7 @@ QDjViewPrefsDialog::loadLanguageComboBox
 {
   // supported languages
   static const char *languages[] = { 
-    "cs","de","en","es","fr","it","ja","ru","uk",
+    "cs","de","en","es","fr","it","ja","pl","ru","uk",
     "zh_CN","zh_TW",0 } ;
   // get application
   QComboBox *cb = d->ui.languageComboBox;
--- djview4-4.12.orig/src/qdjvuwidget.cpp
+++ djview4-4.12/src/qdjvuwidget.cpp
@@ -3669,7 +3669,7 @@ MapArea::paintPermanent(QPaintDevice *w,
           QRect r = rect.adjusted(bw, bw, -bw, -bw);
           QString s = miniexp_to_qstring(comment);
           paint.setPen(foregroundColor);
-          int flags = Qt::AlignCenter|Qt::AlignVCenter|Qt::TextWordWrap;
+          int flags = Qt::AlignVCenter|Qt::TextWordWrap;
           QFont font = paint.font();
           // estimate font size
           int size = (int)(z * 0.12);
@@ -3678,11 +3678,11 @@ MapArea::paintPermanent(QPaintDevice *w,
               QRect br;
               font.setPixelSize(size);
               paint.setFont(font);
-              paint.drawText(r,flags|Qt::TextDontPrint,s,&br);
+              paint.drawText(r,flags|Qt::AlignHCenter|Qt::TextDontPrint,s,&br);
               if (r.contains(br))
                 {
                   // found good font size
-                  paint.drawText(r,flags,s,0);
+                  paint.drawText(r,flags|Qt::AlignLeft,s,0);
                   break;
                 }
               size -= 1;
